searchNodes=[{"doc":"SmeeView provides two types of module for extracting information from SAML metadata, loosely based on the concept of functional data access &quot;lenses&quot;. SmeeView extends the Smee library and requires metadata to be contained in individual Smee.Entity records.ViewsViews take metadata, or information extracted from metadata, and return a specific type of record from it, known as an aspect. They also allow further filtering and processing of lists of aspects.For instance SmeeView.Logos will extract all logo information from an entity's metadata and filter them so that only IdP logos of a particular shape are returned. The SmeeView.EntityAttributes module has lots of useful tools for gathering information about entities from their entity attributes (particularly if you can never remember any of the URIs like me)AspectsEach fragment of information extracted from metadata by a View is an aspect. Aspects contain most (if not all) of the information present in the original metadata. Aspect modules provide ways to view or process that information.Convenience functionsThe top-level SmeeView module contains shortcuts to the view functions of every View module, and is the easiest way to get started. Each function below will return any available aspects from the entity metadata.References and further readingSmeeView does not document SAML Metadata itself - you'll need to read about that elsewhere if you have questions about how the information is used. The following resources will be of help:Incommon's Guide to SAML Metadata - very clear and readableOASIS Simplified Overview of SAML MetadataWikipedia: SAML Metadata Has technical overview, history and protocol walkthrough","ref":"SmeeView.html","title":"SmeeView","type":"module"},{"doc":"Returns a map of SmeeView.Aspect.Entity aspect structs extracted from the input data, with entity IDs as keys. Each entity aspect represents an entire SAML entity, and contains lists of other aspect structs representing each &quot;aspect&quot; of the entity.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/2 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one type of aspect from a single Smee.Entity struct then you should probably use view/2 instead.SmeeView.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Entity{}]} SmeeView.prism(metadata) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Entity{}, %Entity{}, ...]}","ref":"SmeeView.html#prism/2","title":"SmeeView.prism/2","type":"function"},{"doc":"Returns a list of SmeeView.Aspect.Entity structs extracted from the input data. Each one represents an entire SAML entity, and contains lists of other aspect structs representing each &quot;aspect&quot; of the entity.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/2 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata files it's often better to use prism/2 which returns the same data in a map, associated with each entity's ID.SmeeView.view(entity) # =&gt; [%Entity{}] SmeeView.view(metadata) # =&gt; [%Entity{}, %Entity{}, %Entity{}, ...] SmeeView.view([metadata, entity1, entity2]) # =&gt; [%Entity{}, %Entity{}, %Entity{}, ...]","ref":"SmeeView.html#view/2","title":"SmeeView.view/2","type":"function"},{"doc":"Returns a single SmeeView.Aspect.Entity aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists the first suitable aspect found will be returned. It may not be from the first entity, if the first entity has no suitable content.view_one/2 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect.SmeeView.view_one(entity) # =&gt; %Entity{} SmeeView.view_one(metadata) # =&gt; %Entity{}","ref":"SmeeView.html#view_one/2","title":"SmeeView.view_one/2","type":"function"},{"doc":"This module can extracts the &lt;ArtifactResolutionService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.ArtifactResolutionServices.html","title":"SmeeView.ArtifactResolutionServices","type":"module"},{"doc":"Returns all services matching the specified bindingArtifactResolutionServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.ArtifactResolutionServices.html#binding_filter/2","title":"SmeeView.ArtifactResolutionServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewArtifactResolutionServices.bindings(aspects) # =&gt; []","ref":"SmeeView.ArtifactResolutionServices.html#bindings/1","title":"SmeeView.ArtifactResolutionServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)ArtifactResolutionServices.idp_filter(view) # =&gt; []","ref":"SmeeView.ArtifactResolutionServices.html#idp_filter/1","title":"SmeeView.ArtifactResolutionServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.ArtifactResolutionService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ArtifactResolutionServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.ArtifactResolutionService{}, %Elixir.SmeeView.Aspects.ArtifactResolutionService{},]}","ref":"SmeeView.ArtifactResolutionServices.html#prism/3","title":"SmeeView.ArtifactResolutionServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setArtifactResolutionServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.ArtifactResolutionServices.html#sort/1","title":"SmeeView.ArtifactResolutionServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)ArtifactResolutionServices.sp_filter(view) # =&gt; []","ref":"SmeeView.ArtifactResolutionServices.html#sp_filter/1","title":"SmeeView.ArtifactResolutionServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.ArtifactResolutionService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ArtifactResolutionServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.ArtifactResolutionService{}, %Elixir.SmeeView.Aspects.ArtifactResolutionService{}]","ref":"SmeeView.ArtifactResolutionServices.html#view/3","title":"SmeeView.ArtifactResolutionServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.ArtifactResolutionService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ArtifactResolutionServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.ArtifactResolutionService{}","ref":"SmeeView.ArtifactResolutionServices.html#view_one/3","title":"SmeeView.ArtifactResolutionServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;AssertionConsumerService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.AssertionConsumerServices.html","title":"SmeeView.AssertionConsumerServices","type":"module"},{"doc":"Returns all services matching the specified bindingAssertionConsumerServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.AssertionConsumerServices.html#binding_filter/2","title":"SmeeView.AssertionConsumerServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewAssertionConsumerServices.bindings(aspects) # =&gt; []","ref":"SmeeView.AssertionConsumerServices.html#bindings/1","title":"SmeeView.AssertionConsumerServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)AssertionConsumerServices.idp_filter(view) # =&gt; []","ref":"SmeeView.AssertionConsumerServices.html#idp_filter/1","title":"SmeeView.AssertionConsumerServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.AssertionConsumerService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionConsumerServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.AssertionConsumerService{}, %Elixir.SmeeView.Aspects.AssertionConsumerService{},]}","ref":"SmeeView.AssertionConsumerServices.html#prism/3","title":"SmeeView.AssertionConsumerServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setAssertionConsumerServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.AssertionConsumerServices.html#sort/1","title":"SmeeView.AssertionConsumerServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)AssertionConsumerServices.sp_filter(view) # =&gt; []","ref":"SmeeView.AssertionConsumerServices.html#sp_filter/1","title":"SmeeView.AssertionConsumerServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.AssertionConsumerService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionConsumerServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.AssertionConsumerService{}, %Elixir.SmeeView.Aspects.AssertionConsumerService{}]","ref":"SmeeView.AssertionConsumerServices.html#view/3","title":"SmeeView.AssertionConsumerServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.AssertionConsumerService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionConsumerServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.AssertionConsumerService{}","ref":"SmeeView.AssertionConsumerServices.html#view_one/3","title":"SmeeView.AssertionConsumerServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;AssertionIDRequestService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.AssertionIDRequestServices.html","title":"SmeeView.AssertionIDRequestServices","type":"module"},{"doc":"Returns all services matching the specified bindingAssertionIDRequestServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.AssertionIDRequestServices.html#binding_filter/2","title":"SmeeView.AssertionIDRequestServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewAssertionIDRequestServices.bindings(aspects) # =&gt; []","ref":"SmeeView.AssertionIDRequestServices.html#bindings/1","title":"SmeeView.AssertionIDRequestServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)AssertionIDRequestServices.idp_filter(view) # =&gt; []","ref":"SmeeView.AssertionIDRequestServices.html#idp_filter/1","title":"SmeeView.AssertionIDRequestServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.AssertionIDRequestService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionIDRequestServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.AssertionIDRequestService{}, %Elixir.SmeeView.Aspects.AssertionIDRequestService{},]}","ref":"SmeeView.AssertionIDRequestServices.html#prism/3","title":"SmeeView.AssertionIDRequestServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setAssertionIDRequestServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.AssertionIDRequestServices.html#sort/1","title":"SmeeView.AssertionIDRequestServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)AssertionIDRequestServices.sp_filter(view) # =&gt; []","ref":"SmeeView.AssertionIDRequestServices.html#sp_filter/1","title":"SmeeView.AssertionIDRequestServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.AssertionIDRequestService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionIDRequestServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.AssertionIDRequestService{}, %Elixir.SmeeView.Aspects.AssertionIDRequestService{}]","ref":"SmeeView.AssertionIDRequestServices.html#view/3","title":"SmeeView.AssertionIDRequestServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.AssertionIDRequestService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AssertionIDRequestServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.AssertionIDRequestService{}","ref":"SmeeView.AssertionIDRequestServices.html#view_one/3","title":"SmeeView.AssertionIDRequestServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;AttributeConsumingService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.AttributeConsumingServices.html","title":"SmeeView.AttributeConsumingServices","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)AttributeConsumingServices.idp_filter(view) # =&gt; []","ref":"SmeeView.AttributeConsumingServices.html#idp_filter/1","title":"SmeeView.AttributeConsumingServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.AttributeConsumingService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeConsumingServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.AttributeConsumingService{}, %Elixir.SmeeView.Aspects.AttributeConsumingService{},]}","ref":"SmeeView.AttributeConsumingServices.html#prism/3","title":"SmeeView.AttributeConsumingServices.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)AttributeConsumingServices.sp_filter(view) # =&gt; []","ref":"SmeeView.AttributeConsumingServices.html#sp_filter/1","title":"SmeeView.AttributeConsumingServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.AttributeConsumingService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeConsumingServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.AttributeConsumingService{}, %Elixir.SmeeView.Aspects.AttributeConsumingService{}]","ref":"SmeeView.AttributeConsumingServices.html#view/3","title":"SmeeView.AttributeConsumingServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.AttributeConsumingService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeConsumingServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.AttributeConsumingService{}","ref":"SmeeView.AttributeConsumingServices.html#view_one/3","title":"SmeeView.AttributeConsumingServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;AttributeService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.AttributeServices.html","title":"SmeeView.AttributeServices","type":"module"},{"doc":"Returns all services matching the specified bindingAttributeServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.AttributeServices.html#binding_filter/2","title":"SmeeView.AttributeServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewAttributeServices.bindings(aspects) # =&gt; []","ref":"SmeeView.AttributeServices.html#bindings/1","title":"SmeeView.AttributeServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)AttributeServices.idp_filter(view) # =&gt; []","ref":"SmeeView.AttributeServices.html#idp_filter/1","title":"SmeeView.AttributeServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.AttributeService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.AttributeService{}, %Elixir.SmeeView.Aspects.AttributeService{},]}","ref":"SmeeView.AttributeServices.html#prism/3","title":"SmeeView.AttributeServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setAttributeServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.AttributeServices.html#sort/1","title":"SmeeView.AttributeServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)AttributeServices.sp_filter(view) # =&gt; []","ref":"SmeeView.AttributeServices.html#sp_filter/1","title":"SmeeView.AttributeServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.AttributeService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.AttributeService{}, %Elixir.SmeeView.Aspects.AttributeService{}]","ref":"SmeeView.AttributeServices.html#view/3","title":"SmeeView.AttributeServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.AttributeService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.AttributeServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.AttributeService{}","ref":"SmeeView.AttributeServices.html#view_one/3","title":"SmeeView.AttributeServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;saml:Attribute&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Attributes.html","title":"SmeeView.Attributes","type":"module"},{"doc":"Returns true if the aspects contain the specified attribute name Attributes.contain?(attrs, &quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.6&quot;) # =&gt; true","ref":"SmeeView.Attributes.html#contain?/2","title":"SmeeView.Attributes.contain?/2","type":"function"},{"doc":"Returns true if the aspects contain the specified attribute friendly name Attributes.contain?(attrs, &quot;sn&quot;) # =&gt; true","ref":"SmeeView.Attributes.html#contain_friendly?/2","title":"SmeeView.Attributes.contain_friendly?/2","type":"function"},{"doc":"Returns a list of all attribute names (full, technical, URI names).The results are sorted and each value is unique. Attributes.friendly_names(attrs) # =&gt; [&quot;eduPersonPrincipalName&quot;, &quot;email&quot;, &quot;organizationName&quot;]","ref":"SmeeView.Attributes.html#friendly_names/1","title":"SmeeView.Attributes.friendly_names/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Attributes.idp_filter(view) # =&gt; []","ref":"SmeeView.Attributes.html#idp_filter/1","title":"SmeeView.Attributes.idp_filter/1","type":"function"},{"doc":"Returns a list of all attribute names (full, technical, URI names).The results are sorted and each value is unique. Attributes.names(attrs) # =&gt; [&quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.6&quot;, &quot;urn:oid:0.9.2342.19200300.100.1.3&quot;, &quot;urn:oid:2.5.4.10&quot;]","ref":"SmeeView.Attributes.html#names/1","title":"SmeeView.Attributes.names/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Attribute aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Attributes.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Attribute{}, %Elixir.SmeeView.Aspects.Attribute{},]}","ref":"SmeeView.Attributes.html#prism/3","title":"SmeeView.Attributes.prism/3","type":"function"},{"doc":"Returns only SAML1 attributesFilters the view (list) or prism (map) to only include SAML1 attributesAttributes.saml1_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.Attribute{}]","ref":"SmeeView.Attributes.html#saml1_filter/1","title":"SmeeView.Attributes.saml1_filter/1","type":"function"},{"doc":"Returns only SAML2 attributesFilters the view (list) or prism (map) to only include SAML2 attributesAttributes.saml2_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.Attribute{}]","ref":"SmeeView.Attributes.html#saml2_filter/1","title":"SmeeView.Attributes.saml2_filter/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Attributes.sp_filter(view) # =&gt; []","ref":"SmeeView.Attributes.html#sp_filter/1","title":"SmeeView.Attributes.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Attribute aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Attributes.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Attribute{}, %Elixir.SmeeView.Aspects.Attribute{}]","ref":"SmeeView.Attributes.html#view/3","title":"SmeeView.Attributes.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Attribute aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Attributes.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Attribute{}","ref":"SmeeView.Attributes.html#view_one/3","title":"SmeeView.Attributes.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;ContactPerson&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Contacts.html","title":"SmeeView.Contacts","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Contacts.idp_filter(view) # =&gt; []","ref":"SmeeView.Contacts.html#idp_filter/1","title":"SmeeView.Contacts.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Contact aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Contacts.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Contact{}, %Elixir.SmeeView.Aspects.Contact{},]}","ref":"SmeeView.Contacts.html#prism/3","title":"SmeeView.Contacts.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Contacts.sp_filter(view) # =&gt; []","ref":"SmeeView.Contacts.html#sp_filter/1","title":"SmeeView.Contacts.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Contact aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Contacts.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Contact{}, %Elixir.SmeeView.Aspects.Contact{}]","ref":"SmeeView.Contacts.html#view/3","title":"SmeeView.Contacts.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Contact aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Contacts.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Contact{}","ref":"SmeeView.Contacts.html#view_one/3","title":"SmeeView.Contacts.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:Description&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Descriptions.html","title":"SmeeView.Descriptions","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Descriptions.idp_filter(view) # =&gt; []","ref":"SmeeView.Descriptions.html#idp_filter/1","title":"SmeeView.Descriptions.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Description aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Descriptions.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Description{}, %Elixir.SmeeView.Aspects.Description{},]}","ref":"SmeeView.Descriptions.html#prism/3","title":"SmeeView.Descriptions.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Descriptions.sp_filter(view) # =&gt; []","ref":"SmeeView.Descriptions.html#sp_filter/1","title":"SmeeView.Descriptions.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Description aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Descriptions.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Description{}, %Elixir.SmeeView.Aspects.Description{}]","ref":"SmeeView.Descriptions.html#view/3","title":"SmeeView.Descriptions.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Description aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Descriptions.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Description{}","ref":"SmeeView.Descriptions.html#view_one/3","title":"SmeeView.Descriptions.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;alg:DigestMethod&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.DigestMethods.html","title":"SmeeView.DigestMethods","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)DigestMethods.idp_filter(view) # =&gt; []","ref":"SmeeView.DigestMethods.html#idp_filter/1","title":"SmeeView.DigestMethods.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.DigestMethod aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DigestMethods.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.DigestMethod{}, %Elixir.SmeeView.Aspects.DigestMethod{},]}","ref":"SmeeView.DigestMethods.html#prism/3","title":"SmeeView.DigestMethods.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)DigestMethods.sp_filter(view) # =&gt; []","ref":"SmeeView.DigestMethods.html#sp_filter/1","title":"SmeeView.DigestMethods.sp_filter/1","type":"function"},{"doc":"Shortens algorithmsRemoves the URI namespacing prefix from algorithms, making them smaller, friendlier, and potentially conflicting.DigestMethods.truncate(aspects) # =&gt; [&quot;ecdsa-sha1&quot;]","ref":"SmeeView.DigestMethods.html#truncate/1","title":"SmeeView.DigestMethods.truncate/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.DigestMethod aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DigestMethods.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.DigestMethod{}, %Elixir.SmeeView.Aspects.DigestMethod{}]","ref":"SmeeView.DigestMethods.html#view/3","title":"SmeeView.DigestMethods.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.DigestMethod aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DigestMethods.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.DigestMethod{}","ref":"SmeeView.DigestMethods.html#view_one/3","title":"SmeeView.DigestMethods.view_one/3","type":"function"},{"doc":"This module can extracts a bundle of related Discovery (&quot;Disco&quot;) elements from entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.DiscoHints.html","title":"SmeeView.DiscoHints","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)DiscoHints.idp_filter(view) # =&gt; []","ref":"SmeeView.DiscoHints.html#idp_filter/1","title":"SmeeView.DiscoHints.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.DiscoHints aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoHints.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.DiscoHints{}, %Elixir.SmeeView.Aspects.DiscoHints{},]}","ref":"SmeeView.DiscoHints.html#prism/3","title":"SmeeView.DiscoHints.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)DiscoHints.sp_filter(view) # =&gt; []","ref":"SmeeView.DiscoHints.html#sp_filter/1","title":"SmeeView.DiscoHints.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.DiscoHints aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoHints.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.DiscoHints{}, %Elixir.SmeeView.Aspects.DiscoHints{}]","ref":"SmeeView.DiscoHints.html#view/3","title":"SmeeView.DiscoHints.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.DiscoHints aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoHints.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.DiscoHints{}","ref":"SmeeView.DiscoHints.html#view_one/3","title":"SmeeView.DiscoHints.view_one/3","type":"function"},{"doc":"This module can extracts a bundle of related Metadata UI (&quot;mdui:&quot;) aspects from entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.DiscoUIs.html","title":"SmeeView.DiscoUIs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)DiscoUIs.idp_filter(view) # =&gt; []","ref":"SmeeView.DiscoUIs.html#idp_filter/1","title":"SmeeView.DiscoUIs.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.DiscoUI aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoUIs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.DiscoUI{}, %Elixir.SmeeView.Aspects.DiscoUI{},]}","ref":"SmeeView.DiscoUIs.html#prism/3","title":"SmeeView.DiscoUIs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)DiscoUIs.sp_filter(view) # =&gt; []","ref":"SmeeView.DiscoUIs.html#sp_filter/1","title":"SmeeView.DiscoUIs.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.DiscoUI aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoUIs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.DiscoUI{}, %Elixir.SmeeView.Aspects.DiscoUI{}]","ref":"SmeeView.DiscoUIs.html#view/3","title":"SmeeView.DiscoUIs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.DiscoUI aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoUIs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.DiscoUI{}","ref":"SmeeView.DiscoUIs.html#view_one/3","title":"SmeeView.DiscoUIs.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;idpdisc:DiscoveryResponse&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.DiscoveryResponses.html","title":"SmeeView.DiscoveryResponses","type":"module"},{"doc":"Returns all services matching the specified bindingDiscoveryResponses.binding_filter(aspect) # =&gt; []","ref":"SmeeView.DiscoveryResponses.html#binding_filter/2","title":"SmeeView.DiscoveryResponses.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewDiscoveryResponses.bindings(aspects) # =&gt; []","ref":"SmeeView.DiscoveryResponses.html#bindings/1","title":"SmeeView.DiscoveryResponses.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)DiscoveryResponses.idp_filter(view) # =&gt; []","ref":"SmeeView.DiscoveryResponses.html#idp_filter/1","title":"SmeeView.DiscoveryResponses.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.DiscoveryResponse aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoveryResponses.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.DiscoveryResponse{}, %Elixir.SmeeView.Aspects.DiscoveryResponse{},]}","ref":"SmeeView.DiscoveryResponses.html#prism/3","title":"SmeeView.DiscoveryResponses.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setDiscoveryResponses.sort(aspect) # =&gt; [...]","ref":"SmeeView.DiscoveryResponses.html#sort/1","title":"SmeeView.DiscoveryResponses.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)DiscoveryResponses.sp_filter(view) # =&gt; []","ref":"SmeeView.DiscoveryResponses.html#sp_filter/1","title":"SmeeView.DiscoveryResponses.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.DiscoveryResponse aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoveryResponses.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.DiscoveryResponse{}, %Elixir.SmeeView.Aspects.DiscoveryResponse{}]","ref":"SmeeView.DiscoveryResponses.html#view/3","title":"SmeeView.DiscoveryResponses.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.DiscoveryResponse aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.DiscoveryResponses.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.DiscoveryResponse{}","ref":"SmeeView.DiscoveryResponses.html#view_one/3","title":"SmeeView.DiscoveryResponses.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:Displayname&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Displaynames.html","title":"SmeeView.Displaynames","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Displaynames.idp_filter(view) # =&gt; []","ref":"SmeeView.Displaynames.html#idp_filter/1","title":"SmeeView.Displaynames.idp_filter/1","type":"function"},{"doc":"Returns all languages used in the list (view) or map (prism)Displaynames.langs(aspects) # =&gt; [&quot;en&quot;, &quot;se&quot;, &quot;zu&quot;]","ref":"SmeeView.Displaynames.html#langs/1","title":"SmeeView.Displaynames.langs/1","type":"function"},{"doc":"Returns maximum width of text in the view, as an integerDisplaynames.max_size(aspects) # =&gt; 42","ref":"SmeeView.Displaynames.html#max_size/1","title":"SmeeView.Displaynames.max_size/1","type":"function"},{"doc":"Returns the first aspect with matching language, or failing that, the default language, or EnglishThis function is useful when showing a UI to users, to select the most appropriate aspect for displayDisplaynames.pick(aspects, &quot;no&quot;) # =&gt; %Elixir.SmeeView.Aspects.Displayname{lang: &quot;no&quot; text: &quot;...&quot; }","ref":"SmeeView.Displaynames.html#pick/2","title":"SmeeView.Displaynames.pick/2","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Displayname aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Displaynames.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Displayname{}, %Elixir.SmeeView.Aspects.Displayname{},]}","ref":"SmeeView.Displaynames.html#prism/3","title":"SmeeView.Displaynames.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Displaynames.sp_filter(view) # =&gt; []","ref":"SmeeView.Displaynames.html#sp_filter/1","title":"SmeeView.Displaynames.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Displayname aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Displaynames.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Displayname{}, %Elixir.SmeeView.Aspects.Displayname{}]","ref":"SmeeView.Displaynames.html#view/3","title":"SmeeView.Displaynames.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Displayname aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Displaynames.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Displayname{}","ref":"SmeeView.Displaynames.html#view_one/3","title":"SmeeView.Displaynames.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:DomainHint&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Domains.html","title":"SmeeView.Domains","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Domains.idp_filter(view) # =&gt; []","ref":"SmeeView.Domains.html#idp_filter/1","title":"SmeeView.Domains.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Domain aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Domains.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Domain{}, %Elixir.SmeeView.Aspects.Domain{},]}","ref":"SmeeView.Domains.html#prism/3","title":"SmeeView.Domains.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Domains.sp_filter(view) # =&gt; []","ref":"SmeeView.Domains.html#sp_filter/1","title":"SmeeView.Domains.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Domain aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Domains.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Domain{}, %Elixir.SmeeView.Aspects.Domain{}]","ref":"SmeeView.Domains.html#view/3","title":"SmeeView.Domains.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Domain aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Domains.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Domain{}","ref":"SmeeView.Domains.html#view_one/3","title":"SmeeView.Domains.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;EncryptionMethod&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.EncryptionMethods.html","title":"SmeeView.EncryptionMethods","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)EncryptionMethods.idp_filter(view) # =&gt; []","ref":"SmeeView.EncryptionMethods.html#idp_filter/1","title":"SmeeView.EncryptionMethods.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.EncryptionMethod aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EncryptionMethods.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.EncryptionMethod{}, %Elixir.SmeeView.Aspects.EncryptionMethod{},]}","ref":"SmeeView.EncryptionMethods.html#prism/3","title":"SmeeView.EncryptionMethods.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)EncryptionMethods.sp_filter(view) # =&gt; []","ref":"SmeeView.EncryptionMethods.html#sp_filter/1","title":"SmeeView.EncryptionMethods.sp_filter/1","type":"function"},{"doc":"Shortens algorithmsRemoves the URI namespacing prefix from algorithms, making them smaller, friendlier, and potentially conflicting.EncryptionMethods.truncate(aspects) # =&gt; [&quot;ecdsa-sha1&quot;]","ref":"SmeeView.EncryptionMethods.html#truncate/1","title":"SmeeView.EncryptionMethods.truncate/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.EncryptionMethod aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EncryptionMethods.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.EncryptionMethod{}, %Elixir.SmeeView.Aspects.EncryptionMethod{}]","ref":"SmeeView.EncryptionMethods.html#view/3","title":"SmeeView.EncryptionMethods.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.EncryptionMethod aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EncryptionMethods.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.EncryptionMethod{}","ref":"SmeeView.EncryptionMethods.html#view_one/3","title":"SmeeView.EncryptionMethods.view_one/3","type":"function"},{"doc":"This module can extract a bundle of related aspects from entity metadata. It is the top-level structure for SmeeView, and contains all other aspects - as such it is the slowest and least efficient. If you only need a few types of data please use the dedicated modules for each instead of the module.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Entities.html","title":"SmeeView.Entities","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Entities.idp_filter(view) # =&gt; []","ref":"SmeeView.Entities.html#idp_filter/1","title":"SmeeView.Entities.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Entity aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Entities.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Entity{}, %Elixir.SmeeView.Aspects.Entity{},]}","ref":"SmeeView.Entities.html#prism/3","title":"SmeeView.Entities.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Entities.sp_filter(view) # =&gt; []","ref":"SmeeView.Entities.html#sp_filter/1","title":"SmeeView.Entities.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Entity aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Entities.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Entity{}, %Elixir.SmeeView.Aspects.Entity{}]","ref":"SmeeView.Entities.html#view/3","title":"SmeeView.Entities.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Entity aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Entities.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Entity{}","ref":"SmeeView.Entities.html#view_one/3","title":"SmeeView.Entities.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdattr:EntityAttributes&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.EntityAttributes.html","title":"SmeeView.EntityAttributes","type":"module"},{"doc":"Lists the values for urn:oasis:names:tc:SAML:attribute:assurance-certification entity attributesSmeeView.EntityAttributes.assurance_certifications(ent_attrs) # =&gt; [&quot;http://refeds.org/sirtfi&quot;, &quot;http://www.swamid.se/policy/assurance/al1&quot;, # &quot;https://refeds.org/sirtfi2&quot;]","ref":"SmeeView.EntityAttributes.html#assurance_certifications/1","title":"SmeeView.EntityAttributes.assurance_certifications/1","type":"function"},{"doc":"Returns true if any of the attributes contains the entity categorySmeeView.EntityAttributes.category?(ent_attrs, &quot;https://myacademicid.org/entity-categories/esi&quot;) # =&gt; false","ref":"SmeeView.EntityAttributes.html#category?/2","title":"SmeeView.EntityAttributes.category?/2","type":"function"},{"doc":"Returns true if any of the attributes indicate CoCo (Code of Conduct) statusSmeeView.EntityAttributes.coco?(ent_attrs) # =&gt; true","ref":"SmeeView.EntityAttributes.html#coco?/1","title":"SmeeView.EntityAttributes.coco?/1","type":"function"},{"doc":"Returns true if the aspects contain the specified attribute nameSmeeView.EntityAttributes.contain?(ent_attrs, &quot;urn:oasis:names:tc:SAML:attribute:assurance-certification&quot;) # =&gt; true","ref":"SmeeView.EntityAttributes.html#contain?/2","title":"SmeeView.EntityAttributes.contain?/2","type":"function"},{"doc":"Returns true if the aspects contain the specified attribute type/name and valueSmeeView.EntityAttributes.contain?(ent_attrs, &quot;urn:oasis:names:tc:SAML:attribute:assurance-certification&quot;, &quot;https://refeds.org/sirtfi2&quot;) # =&gt; true","ref":"SmeeView.EntityAttributes.html#contain?/3","title":"SmeeView.EntityAttributes.contain?/3","type":"function"},{"doc":"Lists all values for entity category (http://macedir.org/entity-category) entity attributesSmeeView.EntityAttributes.entity_categories(ent_attrs) # =&gt; [&quot;http://aai.dfn.de/category/bwidm-member&quot;, # &quot;http://eduid.cz/uri/idp-group/university&quot;, # &quot;http://refeds.org/category/hide-from-discovery&quot;, # &quot;http://refeds.org/category/research-and-scholarship&quot;, # &quot;http://www.geant.net/uri/dataprotection-code-of-conduct/v1&quot;, # &quot;https://edugate.heanet.ie/rr3/p/page/HEAnetInternalEC&quot;, # &quot;https://federation.renater.fr/category/collaboratif&quot;, # &quot;https://myacademicid.org/entity-categories/esi&quot;, # &quot;https://refeds.org/category/anonymous&quot;, # &quot;https://refeds.org/category/code-of-conduct/v2&quot;, # &quot;https://refeds.org/category/hide-from-discovery&quot;, # &quot;https://refeds.org/category/personalized&quot;, # ... ]","ref":"SmeeView.EntityAttributes.html#entity_categories/1","title":"SmeeView.EntityAttributes.entity_categories/1","type":"function"},{"doc":"Returns true if any of the attributes indicate Hide From Discovery statusSmeeView.EntityAttributes.hide?(ent_attrs) # =&gt; true","ref":"SmeeView.EntityAttributes.html#hide?/1","title":"SmeeView.EntityAttributes.hide?/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)EntityAttributes.idp_filter(view) # =&gt; []","ref":"SmeeView.EntityAttributes.html#idp_filter/1","title":"SmeeView.EntityAttributes.idp_filter/1","type":"function"},{"doc":"Returns a list of all attribute names.The results are sorted and each value is unique.SmeeView.EntityAttributes.names(ent_attrs) # =&gt; [&quot;http://kafe.kreonet.net/jurisdiction&quot;, &quot;http://macedir.org/entity-category&quot;, # &quot;http://macedir.org/entity-category-support&quot;, # &quot;https://federation.renater.fr/member-of&quot;, # &quot;urn:oasis:names:tc:SAML:attribute:assurance-certification&quot;, # &quot;urn:oasis:names:tc:SAML:profiles:subject-id:req&quot;, # &quot;urn:oid:2.16.756.1.2.5.1.1.4&quot;, &quot;urn:oid:2.16.756.1.2.5.1.1.5&quot;]","ref":"SmeeView.EntityAttributes.html#names/1","title":"SmeeView.EntityAttributes.names/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.EntityAttribute aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EntityAttributes.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.EntityAttribute{}, %Elixir.SmeeView.Aspects.EntityAttribute{},]}","ref":"SmeeView.EntityAttributes.html#prism/3","title":"SmeeView.EntityAttributes.prism/3","type":"function"},{"doc":"Returns true if any of the attributes indicate Research And Scholarship statusSmeeView.EntityAttributes.ras?(ent_attrs) # =&gt; true","ref":"SmeeView.EntityAttributes.html#ras?/1","title":"SmeeView.EntityAttributes.ras?/1","type":"function"},{"doc":"Lists all nameid types marked as required with the urn:oasis:names:tc:SAML:profiles:subject-id:req attributeSmeeView.EntityAttributes.required_subject_ids(ent_attrs) # =&gt; [&quot;pairwise-id&quot;, &quot;subject-id&quot;]","ref":"SmeeView.EntityAttributes.html#required_subject_ids/1","title":"SmeeView.EntityAttributes.required_subject_ids/1","type":"function"},{"doc":"Returns true if any of the attributes indicate SIRTFI statusSmeeView.EntityAttributes.sirtfi?(ent_attrs) # =&gt; false","ref":"SmeeView.EntityAttributes.html#sirtfi?/1","title":"SmeeView.EntityAttributes.sirtfi?/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)EntityAttributes.sp_filter(view) # =&gt; []","ref":"SmeeView.EntityAttributes.html#sp_filter/1","title":"SmeeView.EntityAttributes.sp_filter/1","type":"function"},{"doc":"Returns true if any of the attributes show support for the specified entity categorySmeeView.EntityAttributes.supports?(ent_attrs, &quot;https://refeds.org/category/anonymous&quot;) # =&gt; false","ref":"SmeeView.EntityAttributes.html#supports?/2","title":"SmeeView.EntityAttributes.supports?/2","type":"function"},{"doc":"Lists all values for entity category support attributes (http://macedir.org/entity-category-support)SmeeView.EntityAttributes.supports_entity_categories(ent_attrs) # =&gt; [&quot;http://clarin.eu/category/clarin-member&quot;, # &quot;http://refeds.org/category/research-and-scholarship&quot;, # &quot;http://www.geant.net/uri/dataprotection-code-of-conduct/v1&quot;, # &quot;https://idp.lit.ie/saml2&quot;, &quot;https://login.dcu.ie&quot;, # &quot;https://myacademicid.org/entity-categories/esi&quot;, # &quot;https://refeds.org/category/anonymous&quot;, # &quot;https://refeds.org/category/code-of-conduct/v2&quot;, # &quot;https://refeds.org/category/personalized&quot;, &quot;https://refeds.org/sirtfi&quot;]","ref":"SmeeView.EntityAttributes.html#supports_entity_categories/1","title":"SmeeView.EntityAttributes.supports_entity_categories/1","type":"function"},{"doc":"Returns a list of all attribute values - every value for every attribute.The results are sorted and each value is unique.SmeeView.EntityAttributes.values(ent_attrs) # =&gt; [&quot;KR&quot;, &quot;any&quot;, &quot;hospital&quot;, &quot;http://aai.dfn.de/category/bwidm-member&quot;, # &quot;http://aai.dfn.de/category/campus-lsa-member&quot;, # &quot;http://clarin.eu/category/clarin-member&quot;, &quot;http://eduid.cz/uri/group/mefanet&quot;, # &quot;http://refeds.org/category/hide-from-discovery&quot;, # &quot;http://refeds.org/category/research-and-scholarship&quot;, ...]","ref":"SmeeView.EntityAttributes.html#values/1","title":"SmeeView.EntityAttributes.values/1","type":"function"},{"doc":"Lists all attribute values for the specified attribute nameThe results are sorted and each value is unique.SmeeView.EntityAttributes.values_for(ent_attrs, &quot;urn:oasis:names:tc:SAML:attribute:assurance-certification&quot;) # =&gt; [&quot;http://refeds.org/sirtfi&quot;, &quot;http://www.swamid.se/policy/assurance/al1&quot;, # &quot;https://refeds.org/sirtfi&quot;, &quot;https://refeds.org/sirtfi2&quot;]","ref":"SmeeView.EntityAttributes.html#values_for/2","title":"SmeeView.EntityAttributes.values_for/2","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.EntityAttribute aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EntityAttributes.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.EntityAttribute{}, %Elixir.SmeeView.Aspects.EntityAttribute{}]","ref":"SmeeView.EntityAttributes.html#view/3","title":"SmeeView.EntityAttributes.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.EntityAttribute aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.EntityAttributes.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.EntityAttribute{}","ref":"SmeeView.EntityAttributes.html#view_one/3","title":"SmeeView.EntityAttributes.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:GeolocationHint&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Geolocations.html","title":"SmeeView.Geolocations","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Geolocations.idp_filter(view) # =&gt; []","ref":"SmeeView.Geolocations.html#idp_filter/1","title":"SmeeView.Geolocations.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Geolocation aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Geolocations.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Geolocation{}, %Elixir.SmeeView.Aspects.Geolocation{},]}","ref":"SmeeView.Geolocations.html#prism/3","title":"SmeeView.Geolocations.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Geolocations.sp_filter(view) # =&gt; []","ref":"SmeeView.Geolocations.html#sp_filter/1","title":"SmeeView.Geolocations.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Geolocation aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Geolocations.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Geolocation{}, %Elixir.SmeeView.Aspects.Geolocation{}]","ref":"SmeeView.Geolocations.html#view/3","title":"SmeeView.Geolocations.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Geolocation aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Geolocations.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Geolocation{}","ref":"SmeeView.Geolocations.html#view_one/3","title":"SmeeView.Geolocations.view_one/3","type":"function"},{"doc":"This module can extracts a bundle of aspects from the IdP role in a SAML entity's metadata.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.IdPs.html","title":"SmeeView.IdPs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)IdPs.idp_filter(view) # =&gt; []","ref":"SmeeView.IdPs.html#idp_filter/1","title":"SmeeView.IdPs.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.IdP aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.IdPs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.IdP{}, %Elixir.SmeeView.Aspects.IdP{},]}","ref":"SmeeView.IdPs.html#prism/3","title":"SmeeView.IdPs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)IdPs.sp_filter(view) # =&gt; []","ref":"SmeeView.IdPs.html#sp_filter/1","title":"SmeeView.IdPs.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.IdP aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.IdPs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.IdP{}, %Elixir.SmeeView.Aspects.IdP{}]","ref":"SmeeView.IdPs.html#view/3","title":"SmeeView.IdPs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.IdP aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.IdPs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.IdP{}","ref":"SmeeView.IdPs.html#view_one/3","title":"SmeeView.IdPs.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:InformationURL&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.InformationURLs.html","title":"SmeeView.InformationURLs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)InformationURLs.idp_filter(view) # =&gt; []","ref":"SmeeView.InformationURLs.html#idp_filter/1","title":"SmeeView.InformationURLs.idp_filter/1","type":"function"},{"doc":"Returns all languages used in the list (view) or map (prism)InformationURLs.langs(aspects) # =&gt; [&quot;en&quot;, &quot;se&quot;, &quot;zu&quot;]","ref":"SmeeView.InformationURLs.html#langs/1","title":"SmeeView.InformationURLs.langs/1","type":"function"},{"doc":"Returns the first aspect with matching language, or failing that, the default language, or EnglishThis function is useful when showing a UI to users, to select the most appropriate aspect for displayInformationURLs.pick(aspects, &quot;no&quot;) # =&gt; %Elixir.SmeeView.Aspects.InformationURL{lang: &quot;no&quot; text: &quot;...&quot; }","ref":"SmeeView.InformationURLs.html#pick/2","title":"SmeeView.InformationURLs.pick/2","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.InformationURL aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.InformationURLs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.InformationURL{}, %Elixir.SmeeView.Aspects.InformationURL{},]}","ref":"SmeeView.InformationURLs.html#prism/3","title":"SmeeView.InformationURLs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)InformationURLs.sp_filter(view) # =&gt; []","ref":"SmeeView.InformationURLs.html#sp_filter/1","title":"SmeeView.InformationURLs.sp_filter/1","type":"function"},{"doc":"Returns filtered list of only valid URLs from a view (list) or prism (map)It's unlikely that invalid URLs will be in NREN metadata, but this may be useful when producing your own.InformationURLs.valid_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.InformationURL{}]","ref":"SmeeView.InformationURLs.html#valid_filter/1","title":"SmeeView.InformationURLs.valid_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.InformationURL aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.InformationURLs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.InformationURL{}, %Elixir.SmeeView.Aspects.InformationURL{}]","ref":"SmeeView.InformationURLs.html#view/3","title":"SmeeView.InformationURLs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.InformationURL aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.InformationURLs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.InformationURL{}","ref":"SmeeView.InformationURLs.html#view_one/3","title":"SmeeView.InformationURLs.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;KeyDescriptor&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Keys.html","title":"SmeeView.Keys","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Keys.idp_filter(view) # =&gt; []","ref":"SmeeView.Keys.html#idp_filter/1","title":"SmeeView.Keys.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Key aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keys.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Key{}, %Elixir.SmeeView.Aspects.Key{},]}","ref":"SmeeView.Keys.html#prism/3","title":"SmeeView.Keys.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Keys.sp_filter(view) # =&gt; []","ref":"SmeeView.Keys.html#sp_filter/1","title":"SmeeView.Keys.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Key aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keys.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Key{}, %Elixir.SmeeView.Aspects.Key{}]","ref":"SmeeView.Keys.html#view/3","title":"SmeeView.Keys.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Key aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keys.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Key{}","ref":"SmeeView.Keys.html#view_one/3","title":"SmeeView.Keys.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:Keywords&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Keywords.html","title":"SmeeView.Keywords","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Keywords.idp_filter(view) # =&gt; []","ref":"SmeeView.Keywords.html#idp_filter/1","title":"SmeeView.Keywords.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Keywords aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keywords.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Keywords{}, %Elixir.SmeeView.Aspects.Keywords{},]}","ref":"SmeeView.Keywords.html#prism/3","title":"SmeeView.Keywords.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Keywords.sp_filter(view) # =&gt; []","ref":"SmeeView.Keywords.html#sp_filter/1","title":"SmeeView.Keywords.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Keywords aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keywords.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Keywords{}, %Elixir.SmeeView.Aspects.Keywords{}]","ref":"SmeeView.Keywords.html#view/3","title":"SmeeView.Keywords.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Keywords aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Keywords.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Keywords{}","ref":"SmeeView.Keywords.html#view_one/3","title":"SmeeView.Keywords.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:Logo&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Logos.html","title":"SmeeView.Logos","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Logos.idp_filter(view) # =&gt; []","ref":"SmeeView.Logos.html#idp_filter/1","title":"SmeeView.Logos.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Logo aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Logos.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Logo{}, %Elixir.SmeeView.Aspects.Logo{},]}","ref":"SmeeView.Logos.html#prism/3","title":"SmeeView.Logos.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Logos.sp_filter(view) # =&gt; []","ref":"SmeeView.Logos.html#sp_filter/1","title":"SmeeView.Logos.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Logo aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Logos.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Logo{}, %Elixir.SmeeView.Aspects.Logo{}]","ref":"SmeeView.Logos.html#view/3","title":"SmeeView.Logos.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Logo aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Logos.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Logo{}","ref":"SmeeView.Logos.html#view_one/3","title":"SmeeView.Logos.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;ManageNameidService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.ManageNameidServices.html","title":"SmeeView.ManageNameidServices","type":"module"},{"doc":"Returns all services matching the specified bindingManageNameidServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.ManageNameidServices.html#binding_filter/2","title":"SmeeView.ManageNameidServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewManageNameidServices.bindings(aspects) # =&gt; []","ref":"SmeeView.ManageNameidServices.html#bindings/1","title":"SmeeView.ManageNameidServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)ManageNameidServices.idp_filter(view) # =&gt; []","ref":"SmeeView.ManageNameidServices.html#idp_filter/1","title":"SmeeView.ManageNameidServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.ManageNameidService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ManageNameidServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.ManageNameidService{}, %Elixir.SmeeView.Aspects.ManageNameidService{},]}","ref":"SmeeView.ManageNameidServices.html#prism/3","title":"SmeeView.ManageNameidServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setManageNameidServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.ManageNameidServices.html#sort/1","title":"SmeeView.ManageNameidServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)ManageNameidServices.sp_filter(view) # =&gt; []","ref":"SmeeView.ManageNameidServices.html#sp_filter/1","title":"SmeeView.ManageNameidServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.ManageNameidService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ManageNameidServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.ManageNameidService{}, %Elixir.SmeeView.Aspects.ManageNameidService{}]","ref":"SmeeView.ManageNameidServices.html#view/3","title":"SmeeView.ManageNameidServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.ManageNameidService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ManageNameidServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.ManageNameidService{}","ref":"SmeeView.ManageNameidServices.html#view_one/3","title":"SmeeView.ManageNameidServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;NameIDFormat&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.NameIDFormats.html","title":"SmeeView.NameIDFormats","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)NameIDFormats.idp_filter(view) # =&gt; []","ref":"SmeeView.NameIDFormats.html#idp_filter/1","title":"SmeeView.NameIDFormats.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.NameIDFormat aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameIDFormats.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.NameIDFormat{}, %Elixir.SmeeView.Aspects.NameIDFormat{},]}","ref":"SmeeView.NameIDFormats.html#prism/3","title":"SmeeView.NameIDFormats.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)NameIDFormats.sp_filter(view) # =&gt; []","ref":"SmeeView.NameIDFormats.html#sp_filter/1","title":"SmeeView.NameIDFormats.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.NameIDFormat aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameIDFormats.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.NameIDFormat{}, %Elixir.SmeeView.Aspects.NameIDFormat{}]","ref":"SmeeView.NameIDFormats.html#view/3","title":"SmeeView.NameIDFormats.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.NameIDFormat aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameIDFormats.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.NameIDFormat{}","ref":"SmeeView.NameIDFormats.html#view_one/3","title":"SmeeView.NameIDFormats.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;NameIDMappingService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.NameidMappingServices.html","title":"SmeeView.NameidMappingServices","type":"module"},{"doc":"Returns all services matching the specified bindingNameidMappingServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.NameidMappingServices.html#binding_filter/2","title":"SmeeView.NameidMappingServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewNameidMappingServices.bindings(aspects) # =&gt; []","ref":"SmeeView.NameidMappingServices.html#bindings/1","title":"SmeeView.NameidMappingServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)NameidMappingServices.idp_filter(view) # =&gt; []","ref":"SmeeView.NameidMappingServices.html#idp_filter/1","title":"SmeeView.NameidMappingServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.NameidMappingService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameidMappingServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.NameidMappingService{}, %Elixir.SmeeView.Aspects.NameidMappingService{},]}","ref":"SmeeView.NameidMappingServices.html#prism/3","title":"SmeeView.NameidMappingServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setNameidMappingServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.NameidMappingServices.html#sort/1","title":"SmeeView.NameidMappingServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)NameidMappingServices.sp_filter(view) # =&gt; []","ref":"SmeeView.NameidMappingServices.html#sp_filter/1","title":"SmeeView.NameidMappingServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.NameidMappingService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameidMappingServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.NameidMappingService{}, %Elixir.SmeeView.Aspects.NameidMappingService{}]","ref":"SmeeView.NameidMappingServices.html#view/3","title":"SmeeView.NameidMappingServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.NameidMappingService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.NameidMappingServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.NameidMappingService{}","ref":"SmeeView.NameidMappingServices.html#view_one/3","title":"SmeeView.NameidMappingServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:IPHint&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Networks.html","title":"SmeeView.Networks","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Networks.idp_filter(view) # =&gt; []","ref":"SmeeView.Networks.html#idp_filter/1","title":"SmeeView.Networks.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Network aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Networks.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Network{}, %Elixir.SmeeView.Aspects.Network{},]}","ref":"SmeeView.Networks.html#prism/3","title":"SmeeView.Networks.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Networks.sp_filter(view) # =&gt; []","ref":"SmeeView.Networks.html#sp_filter/1","title":"SmeeView.Networks.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Network aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Networks.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Network{}, %Elixir.SmeeView.Aspects.Network{}]","ref":"SmeeView.Networks.html#view/3","title":"SmeeView.Networks.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Network aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Networks.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Network{}","ref":"SmeeView.Networks.html#view_one/3","title":"SmeeView.Networks.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;OrganizationDisplayName&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.OrganizationDisplaynames.html","title":"SmeeView.OrganizationDisplaynames","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)OrganizationDisplaynames.idp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationDisplaynames.html#idp_filter/1","title":"SmeeView.OrganizationDisplaynames.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.OrganizationDisplayname aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationDisplaynames.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.OrganizationDisplayname{}, %Elixir.SmeeView.Aspects.OrganizationDisplayname{},]}","ref":"SmeeView.OrganizationDisplaynames.html#prism/3","title":"SmeeView.OrganizationDisplaynames.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)OrganizationDisplaynames.sp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationDisplaynames.html#sp_filter/1","title":"SmeeView.OrganizationDisplaynames.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.OrganizationDisplayname aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationDisplaynames.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.OrganizationDisplayname{}, %Elixir.SmeeView.Aspects.OrganizationDisplayname{}]","ref":"SmeeView.OrganizationDisplaynames.html#view/3","title":"SmeeView.OrganizationDisplaynames.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.OrganizationDisplayname aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationDisplaynames.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.OrganizationDisplayname{}","ref":"SmeeView.OrganizationDisplaynames.html#view_one/3","title":"SmeeView.OrganizationDisplaynames.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;OrganizationName&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.OrganizationNames.html","title":"SmeeView.OrganizationNames","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)OrganizationNames.idp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationNames.html#idp_filter/1","title":"SmeeView.OrganizationNames.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.OrganizationName aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationNames.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.OrganizationName{}, %Elixir.SmeeView.Aspects.OrganizationName{},]}","ref":"SmeeView.OrganizationNames.html#prism/3","title":"SmeeView.OrganizationNames.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)OrganizationNames.sp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationNames.html#sp_filter/1","title":"SmeeView.OrganizationNames.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.OrganizationName aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationNames.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.OrganizationName{}, %Elixir.SmeeView.Aspects.OrganizationName{}]","ref":"SmeeView.OrganizationNames.html#view/3","title":"SmeeView.OrganizationNames.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.OrganizationName aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationNames.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.OrganizationName{}","ref":"SmeeView.OrganizationNames.html#view_one/3","title":"SmeeView.OrganizationNames.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;OrganizationURL&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.OrganizationURLs.html","title":"SmeeView.OrganizationURLs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)OrganizationURLs.idp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationURLs.html#idp_filter/1","title":"SmeeView.OrganizationURLs.idp_filter/1","type":"function"},{"doc":"Returns all languages used in the list (view) or map (prism)OrganizationURLs.langs(aspects) # =&gt; [&quot;en&quot;, &quot;se&quot;, &quot;zu&quot;]","ref":"SmeeView.OrganizationURLs.html#langs/1","title":"SmeeView.OrganizationURLs.langs/1","type":"function"},{"doc":"Returns the first aspect with matching language, or failing that, the default language, or EnglishThis function is useful when showing a UI to users, to select the most appropriate aspect for displayOrganizationURLs.pick(aspects, &quot;no&quot;) # =&gt; %Elixir.SmeeView.Aspects.OrganizationURL{lang: &quot;no&quot; text: &quot;...&quot; }","ref":"SmeeView.OrganizationURLs.html#pick/2","title":"SmeeView.OrganizationURLs.pick/2","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.OrganizationURL aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationURLs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.OrganizationURL{}, %Elixir.SmeeView.Aspects.OrganizationURL{},]}","ref":"SmeeView.OrganizationURLs.html#prism/3","title":"SmeeView.OrganizationURLs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)OrganizationURLs.sp_filter(view) # =&gt; []","ref":"SmeeView.OrganizationURLs.html#sp_filter/1","title":"SmeeView.OrganizationURLs.sp_filter/1","type":"function"},{"doc":"Returns filtered list of only valid URLs from a view (list) or prism (map)It's unlikely that invalid URLs will be in NREN metadata, but this may be useful when producing your own.OrganizationURLs.valid_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.OrganizationURL{}]","ref":"SmeeView.OrganizationURLs.html#valid_filter/1","title":"SmeeView.OrganizationURLs.valid_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.OrganizationURL aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationURLs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.OrganizationURL{}, %Elixir.SmeeView.Aspects.OrganizationURL{}]","ref":"SmeeView.OrganizationURLs.html#view/3","title":"SmeeView.OrganizationURLs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.OrganizationURL aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.OrganizationURLs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.OrganizationURL{}","ref":"SmeeView.OrganizationURLs.html#view_one/3","title":"SmeeView.OrganizationURLs.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;Organization&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Organizations.html","title":"SmeeView.Organizations","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Organizations.idp_filter(view) # =&gt; []","ref":"SmeeView.Organizations.html#idp_filter/1","title":"SmeeView.Organizations.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Organization aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Organizations.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Organization{}, %Elixir.SmeeView.Aspects.Organization{},]}","ref":"SmeeView.Organizations.html#prism/3","title":"SmeeView.Organizations.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Organizations.sp_filter(view) # =&gt; []","ref":"SmeeView.Organizations.html#sp_filter/1","title":"SmeeView.Organizations.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Organization aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Organizations.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Organization{}, %Elixir.SmeeView.Aspects.Organization{}]","ref":"SmeeView.Organizations.html#view/3","title":"SmeeView.Organizations.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Organization aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Organizations.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Organization{}","ref":"SmeeView.Organizations.html#view_one/3","title":"SmeeView.Organizations.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdui:PrivacyStatementURL&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.PrivacyURLs.html","title":"SmeeView.PrivacyURLs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)PrivacyURLs.idp_filter(view) # =&gt; []","ref":"SmeeView.PrivacyURLs.html#idp_filter/1","title":"SmeeView.PrivacyURLs.idp_filter/1","type":"function"},{"doc":"Returns all languages used in the list (view) or map (prism)PrivacyURLs.langs(aspects) # =&gt; [&quot;en&quot;, &quot;se&quot;, &quot;zu&quot;]","ref":"SmeeView.PrivacyURLs.html#langs/1","title":"SmeeView.PrivacyURLs.langs/1","type":"function"},{"doc":"Returns the first aspect with matching language, or failing that, the default language, or EnglishThis function is useful when showing a UI to users, to select the most appropriate aspect for displayPrivacyURLs.pick(aspects, &quot;no&quot;) # =&gt; %Elixir.SmeeView.Aspects.PrivacyURL{lang: &quot;no&quot; text: &quot;...&quot; }","ref":"SmeeView.PrivacyURLs.html#pick/2","title":"SmeeView.PrivacyURLs.pick/2","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.PrivacyURL aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PrivacyURLs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.PrivacyURL{}, %Elixir.SmeeView.Aspects.PrivacyURL{},]}","ref":"SmeeView.PrivacyURLs.html#prism/3","title":"SmeeView.PrivacyURLs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)PrivacyURLs.sp_filter(view) # =&gt; []","ref":"SmeeView.PrivacyURLs.html#sp_filter/1","title":"SmeeView.PrivacyURLs.sp_filter/1","type":"function"},{"doc":"Returns filtered list of only valid URLs from a view (list) or prism (map)It's unlikely that invalid URLs will be in NREN metadata, but this may be useful when producing your own.PrivacyURLs.valid_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.PrivacyURL{}]","ref":"SmeeView.PrivacyURLs.html#valid_filter/1","title":"SmeeView.PrivacyURLs.valid_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.PrivacyURL aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PrivacyURLs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.PrivacyURL{}, %Elixir.SmeeView.Aspects.PrivacyURL{}]","ref":"SmeeView.PrivacyURLs.html#view/3","title":"SmeeView.PrivacyURLs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.PrivacyURL aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PrivacyURLs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.PrivacyURL{}","ref":"SmeeView.PrivacyURLs.html#view_one/3","title":"SmeeView.PrivacyURLs.view_one/3","type":"function"},{"doc":"This module can extracts the protocolSupportEnumeration elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Protocols.html","title":"SmeeView.Protocols","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Protocols.idp_filter(view) # =&gt; []","ref":"SmeeView.Protocols.html#idp_filter/1","title":"SmeeView.Protocols.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Protocol aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Protocols.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Protocol{}, %Elixir.SmeeView.Aspects.Protocol{},]}","ref":"SmeeView.Protocols.html#prism/3","title":"SmeeView.Protocols.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Protocols.sp_filter(view) # =&gt; []","ref":"SmeeView.Protocols.html#sp_filter/1","title":"SmeeView.Protocols.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Protocol aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Protocols.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Protocol{}, %Elixir.SmeeView.Aspects.Protocol{}]","ref":"SmeeView.Protocols.html#view/3","title":"SmeeView.Protocols.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Protocol aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Protocols.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Protocol{}","ref":"SmeeView.Protocols.html#view_one/3","title":"SmeeView.Protocols.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdrpi:Publication&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.PublicationPath.html","title":"SmeeView.PublicationPath","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)PublicationPath.idp_filter(view) # =&gt; []","ref":"SmeeView.PublicationPath.html#idp_filter/1","title":"SmeeView.PublicationPath.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Publication aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PublicationPath.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Publication{}, %Elixir.SmeeView.Aspects.Publication{},]}","ref":"SmeeView.PublicationPath.html#prism/3","title":"SmeeView.PublicationPath.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)PublicationPath.sp_filter(view) # =&gt; []","ref":"SmeeView.PublicationPath.html#sp_filter/1","title":"SmeeView.PublicationPath.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Publication aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PublicationPath.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Publication{}, %Elixir.SmeeView.Aspects.Publication{}]","ref":"SmeeView.PublicationPath.html#view/3","title":"SmeeView.PublicationPath.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Publication aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.PublicationPath.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Publication{}","ref":"SmeeView.PublicationPath.html#view_one/3","title":"SmeeView.PublicationPath.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;mdrpi:RegistrationInfo&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Registration.html","title":"SmeeView.Registration","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Registration.idp_filter(view) # =&gt; []","ref":"SmeeView.Registration.html#idp_filter/1","title":"SmeeView.Registration.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Registration aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Registration.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Registration{}, %Elixir.SmeeView.Aspects.Registration{},]}","ref":"SmeeView.Registration.html#prism/3","title":"SmeeView.Registration.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Registration.sp_filter(view) # =&gt; []","ref":"SmeeView.Registration.html#sp_filter/1","title":"SmeeView.Registration.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Registration aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Registration.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Registration{}, %Elixir.SmeeView.Aspects.Registration{}]","ref":"SmeeView.Registration.html#view/3","title":"SmeeView.Registration.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Registration aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Registration.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Registration{}","ref":"SmeeView.Registration.html#view_one/3","title":"SmeeView.Registration.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;&lt;mdrpi:RegistrationPolicy&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.RegistrationPolicies.html","title":"SmeeView.RegistrationPolicies","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)RegistrationPolicies.idp_filter(view) # =&gt; []","ref":"SmeeView.RegistrationPolicies.html#idp_filter/1","title":"SmeeView.RegistrationPolicies.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.RegistrationPolicy aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RegistrationPolicies.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.RegistrationPolicy{}, %Elixir.SmeeView.Aspects.RegistrationPolicy{},]}","ref":"SmeeView.RegistrationPolicies.html#prism/3","title":"SmeeView.RegistrationPolicies.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)RegistrationPolicies.sp_filter(view) # =&gt; []","ref":"SmeeView.RegistrationPolicies.html#sp_filter/1","title":"SmeeView.RegistrationPolicies.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.RegistrationPolicy aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RegistrationPolicies.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.RegistrationPolicy{}, %Elixir.SmeeView.Aspects.RegistrationPolicy{}]","ref":"SmeeView.RegistrationPolicies.html#view/3","title":"SmeeView.RegistrationPolicies.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.RegistrationPolicy aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RegistrationPolicies.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.RegistrationPolicy{}","ref":"SmeeView.RegistrationPolicies.html#view_one/3","title":"SmeeView.RegistrationPolicies.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;RequestInitiator&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.RequestInitiators.html","title":"SmeeView.RequestInitiators","type":"module"},{"doc":"Returns all services matching the specified bindingRequestInitiators.binding_filter(aspect) # =&gt; []","ref":"SmeeView.RequestInitiators.html#binding_filter/2","title":"SmeeView.RequestInitiators.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewRequestInitiators.bindings(aspects) # =&gt; []","ref":"SmeeView.RequestInitiators.html#bindings/1","title":"SmeeView.RequestInitiators.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)RequestInitiators.idp_filter(view) # =&gt; []","ref":"SmeeView.RequestInitiators.html#idp_filter/1","title":"SmeeView.RequestInitiators.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.RequestInitiator aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestInitiators.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.RequestInitiator{}, %Elixir.SmeeView.Aspects.RequestInitiator{},]}","ref":"SmeeView.RequestInitiators.html#prism/3","title":"SmeeView.RequestInitiators.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setRequestInitiators.sort(aspect) # =&gt; [...]","ref":"SmeeView.RequestInitiators.html#sort/1","title":"SmeeView.RequestInitiators.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)RequestInitiators.sp_filter(view) # =&gt; []","ref":"SmeeView.RequestInitiators.html#sp_filter/1","title":"SmeeView.RequestInitiators.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.RequestInitiator aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestInitiators.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.RequestInitiator{}, %Elixir.SmeeView.Aspects.RequestInitiator{}]","ref":"SmeeView.RequestInitiators.html#view/3","title":"SmeeView.RequestInitiators.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.RequestInitiator aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestInitiators.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.RequestInitiator{}","ref":"SmeeView.RequestInitiators.html#view_one/3","title":"SmeeView.RequestInitiators.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;RequestedAttribute&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.RequestedAttributes.html","title":"SmeeView.RequestedAttributes","type":"module"},{"doc":"Returns true if the aspects contain the specified attribute name RequestedAttributes.contain?(attrs, &quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.6&quot;) # =&gt; true","ref":"SmeeView.RequestedAttributes.html#contain?/2","title":"SmeeView.RequestedAttributes.contain?/2","type":"function"},{"doc":"Returns true if the aspects contain the specified attribute friendly name RequestedAttributes.contain?(attrs, &quot;sn&quot;) # =&gt; true","ref":"SmeeView.RequestedAttributes.html#contain_friendly?/2","title":"SmeeView.RequestedAttributes.contain_friendly?/2","type":"function"},{"doc":"Returns a list of all attribute names (full, technical, URI names).The results are sorted and each value is unique. RequestedAttributes.friendly_names(attrs) # =&gt; [&quot;eduPersonPrincipalName&quot;, &quot;email&quot;, &quot;organizationName&quot;]","ref":"SmeeView.RequestedAttributes.html#friendly_names/1","title":"SmeeView.RequestedAttributes.friendly_names/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)RequestedAttributes.idp_filter(view) # =&gt; []","ref":"SmeeView.RequestedAttributes.html#idp_filter/1","title":"SmeeView.RequestedAttributes.idp_filter/1","type":"function"},{"doc":"Returns a list of all attribute names (full, technical, URI names).The results are sorted and each value is unique. RequestedAttributes.names(attrs) # =&gt; [&quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.6&quot;, &quot;urn:oid:0.9.2342.19200300.100.1.3&quot;, &quot;urn:oid:2.5.4.10&quot;]","ref":"SmeeView.RequestedAttributes.html#names/1","title":"SmeeView.RequestedAttributes.names/1","type":"function"},{"doc":"Returns only optional attributesFilters the view (list) or prism (map) to only include required attributesSmeeView.RequestedAttributes.optional_filter(aspects) # =&gt; [%SmeeView.Aspect.RequestedAttribute{}, %SmeeView.Aspect.RequestedAttribute{}]","ref":"SmeeView.RequestedAttributes.html#optional_filter/1","title":"SmeeView.RequestedAttributes.optional_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.RequestedAttribute aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestedAttributes.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.RequestedAttribute{}, %Elixir.SmeeView.Aspects.RequestedAttribute{},]}","ref":"SmeeView.RequestedAttributes.html#prism/3","title":"SmeeView.RequestedAttributes.prism/3","type":"function"},{"doc":"Returns only required attributesFilters the view (list) or prism (map) to only include required attributesSmeeView.RequestedAttributes.required_filter(aspects) # =&gt; [%SmeeView.Aspect.RequestedAttribute{}, %SmeeView.Aspect.RequestedAttribute{}]","ref":"SmeeView.RequestedAttributes.html#required_filter/1","title":"SmeeView.RequestedAttributes.required_filter/1","type":"function"},{"doc":"Returns only SAML1 attributesFilters the view (list) or prism (map) to only include SAML1 attributesRequestedAttributes.saml1_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.RequestedAttribute{}]","ref":"SmeeView.RequestedAttributes.html#saml1_filter/1","title":"SmeeView.RequestedAttributes.saml1_filter/1","type":"function"},{"doc":"Returns only SAML2 attributesFilters the view (list) or prism (map) to only include SAML2 attributesRequestedAttributes.saml2_filter(aspects) # =&gt; [%Elixir.SmeeView.Aspects.RequestedAttribute{}]","ref":"SmeeView.RequestedAttributes.html#saml2_filter/1","title":"SmeeView.RequestedAttributes.saml2_filter/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)RequestedAttributes.sp_filter(view) # =&gt; []","ref":"SmeeView.RequestedAttributes.html#sp_filter/1","title":"SmeeView.RequestedAttributes.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.RequestedAttribute aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestedAttributes.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.RequestedAttribute{}, %Elixir.SmeeView.Aspects.RequestedAttribute{}]","ref":"SmeeView.RequestedAttributes.html#view/3","title":"SmeeView.RequestedAttributes.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.RequestedAttribute aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.RequestedAttributes.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.RequestedAttribute{}","ref":"SmeeView.RequestedAttributes.html#view_one/3","title":"SmeeView.RequestedAttributes.view_one/3","type":"function"},{"doc":"This module can extracts a bundle of aspects from the IdP role in a SAML entity's metadata.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.SPs.html","title":"SmeeView.SPs","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)SPs.idp_filter(view) # =&gt; []","ref":"SmeeView.SPs.html#idp_filter/1","title":"SmeeView.SPs.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.SP aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SPs.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.SP{}, %Elixir.SmeeView.Aspects.SP{},]}","ref":"SmeeView.SPs.html#prism/3","title":"SmeeView.SPs.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)SPs.sp_filter(view) # =&gt; []","ref":"SmeeView.SPs.html#sp_filter/1","title":"SmeeView.SPs.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.SP aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SPs.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.SP{}, %Elixir.SmeeView.Aspects.SP{}]","ref":"SmeeView.SPs.html#view/3","title":"SmeeView.SPs.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.SP aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SPs.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.SP{}","ref":"SmeeView.SPs.html#view_one/3","title":"SmeeView.SPs.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;shibmd:Scope&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.Scopes.html","title":"SmeeView.Scopes","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)Scopes.idp_filter(view) # =&gt; []","ref":"SmeeView.Scopes.html#idp_filter/1","title":"SmeeView.Scopes.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.Scope aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Scopes.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.Scope{}, %Elixir.SmeeView.Aspects.Scope{},]}","ref":"SmeeView.Scopes.html#prism/3","title":"SmeeView.Scopes.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)Scopes.sp_filter(view) # =&gt; []","ref":"SmeeView.Scopes.html#sp_filter/1","title":"SmeeView.Scopes.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.Scope aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Scopes.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.Scope{}, %Elixir.SmeeView.Aspects.Scope{}]","ref":"SmeeView.Scopes.html#view/3","title":"SmeeView.Scopes.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.Scope aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.Scopes.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.Scope{}","ref":"SmeeView.Scopes.html#view_one/3","title":"SmeeView.Scopes.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;ServiceDescription&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.ServiceDescriptions.html","title":"SmeeView.ServiceDescriptions","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)ServiceDescriptions.idp_filter(view) # =&gt; []","ref":"SmeeView.ServiceDescriptions.html#idp_filter/1","title":"SmeeView.ServiceDescriptions.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.ServiceDescription aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceDescriptions.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.ServiceDescription{}, %Elixir.SmeeView.Aspects.ServiceDescription{},]}","ref":"SmeeView.ServiceDescriptions.html#prism/3","title":"SmeeView.ServiceDescriptions.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)ServiceDescriptions.sp_filter(view) # =&gt; []","ref":"SmeeView.ServiceDescriptions.html#sp_filter/1","title":"SmeeView.ServiceDescriptions.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.ServiceDescription aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceDescriptions.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.ServiceDescription{}, %Elixir.SmeeView.Aspects.ServiceDescription{}]","ref":"SmeeView.ServiceDescriptions.html#view/3","title":"SmeeView.ServiceDescriptions.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.ServiceDescription aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceDescriptions.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.ServiceDescription{}","ref":"SmeeView.ServiceDescriptions.html#view_one/3","title":"SmeeView.ServiceDescriptions.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;ServiceName&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.ServiceNames.html","title":"SmeeView.ServiceNames","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)ServiceNames.idp_filter(view) # =&gt; []","ref":"SmeeView.ServiceNames.html#idp_filter/1","title":"SmeeView.ServiceNames.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.ServiceName aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceNames.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.ServiceName{}, %Elixir.SmeeView.Aspects.ServiceName{},]}","ref":"SmeeView.ServiceNames.html#prism/3","title":"SmeeView.ServiceNames.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)ServiceNames.sp_filter(view) # =&gt; []","ref":"SmeeView.ServiceNames.html#sp_filter/1","title":"SmeeView.ServiceNames.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.ServiceName aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceNames.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.ServiceName{}, %Elixir.SmeeView.Aspects.ServiceName{}]","ref":"SmeeView.ServiceNames.html#view/3","title":"SmeeView.ServiceNames.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.ServiceName aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.ServiceNames.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.ServiceName{}","ref":"SmeeView.ServiceNames.html#view_one/3","title":"SmeeView.ServiceNames.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;alg:SigningMethod&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.SigningMethods.html","title":"SmeeView.SigningMethods","type":"module"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)SigningMethods.idp_filter(view) # =&gt; []","ref":"SmeeView.SigningMethods.html#idp_filter/1","title":"SmeeView.SigningMethods.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.SigningMethod aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SigningMethods.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.SigningMethod{}, %Elixir.SmeeView.Aspects.SigningMethod{},]}","ref":"SmeeView.SigningMethods.html#prism/3","title":"SmeeView.SigningMethods.prism/3","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)SigningMethods.sp_filter(view) # =&gt; []","ref":"SmeeView.SigningMethods.html#sp_filter/1","title":"SmeeView.SigningMethods.sp_filter/1","type":"function"},{"doc":"Shortens algorithmsRemoves the URI namespacing prefix from algorithms, making them smaller, friendlier, and potentially conflicting.SigningMethods.truncate(aspects) # =&gt; [&quot;ecdsa-sha1&quot;]","ref":"SmeeView.SigningMethods.html#truncate/1","title":"SmeeView.SigningMethods.truncate/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.SigningMethod aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SigningMethods.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.SigningMethod{}, %Elixir.SmeeView.Aspects.SigningMethod{}]","ref":"SmeeView.SigningMethods.html#view/3","title":"SmeeView.SigningMethods.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.SigningMethod aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SigningMethods.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.SigningMethod{}","ref":"SmeeView.SigningMethods.html#view_one/3","title":"SmeeView.SigningMethods.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;SingleLogoutService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.SingleLogoutServices.html","title":"SmeeView.SingleLogoutServices","type":"module"},{"doc":"Returns all services matching the specified bindingSingleLogoutServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.SingleLogoutServices.html#binding_filter/2","title":"SmeeView.SingleLogoutServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewSingleLogoutServices.bindings(aspects) # =&gt; []","ref":"SmeeView.SingleLogoutServices.html#bindings/1","title":"SmeeView.SingleLogoutServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)SingleLogoutServices.idp_filter(view) # =&gt; []","ref":"SmeeView.SingleLogoutServices.html#idp_filter/1","title":"SmeeView.SingleLogoutServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.SingleLogoutService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleLogoutServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.SingleLogoutService{}, %Elixir.SmeeView.Aspects.SingleLogoutService{},]}","ref":"SmeeView.SingleLogoutServices.html#prism/3","title":"SmeeView.SingleLogoutServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setSingleLogoutServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.SingleLogoutServices.html#sort/1","title":"SmeeView.SingleLogoutServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)SingleLogoutServices.sp_filter(view) # =&gt; []","ref":"SmeeView.SingleLogoutServices.html#sp_filter/1","title":"SmeeView.SingleLogoutServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.SingleLogoutService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleLogoutServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.SingleLogoutService{}, %Elixir.SmeeView.Aspects.SingleLogoutService{}]","ref":"SmeeView.SingleLogoutServices.html#view/3","title":"SmeeView.SingleLogoutServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.SingleLogoutService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleLogoutServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.SingleLogoutService{}","ref":"SmeeView.SingleLogoutServices.html#view_one/3","title":"SmeeView.SingleLogoutServices.view_one/3","type":"function"},{"doc":"This module can extracts the &lt;SingleSignonService&gt; elements in entity metadata as &quot;aspect&quot; structs, and then process and filter the results.Aspects can be extracted with three functions:Views, via view/3 are lists of aspectsPrisms, via prism/3 are maps of entity IDs to viewsThere is also view_one/3 which returns the first aspect foundAspects can be extracted from Smee.Metadata structs, Smee.Entity structs, or lists of aspects, Metadata and Entity structs.The other functions in this module are intended to be applied to collections of aspect structs - for working with individual aspects, please look at the appropriate Aspect module.","ref":"SmeeView.SingleSignonServices.html","title":"SmeeView.SingleSignonServices","type":"module"},{"doc":"Returns all services matching the specified bindingSingleSignonServices.binding_filter(aspect) # =&gt; []","ref":"SmeeView.SingleSignonServices.html#binding_filter/2","title":"SmeeView.SingleSignonServices.binding_filter/2","type":"function"},{"doc":"Returns all bindings present in the viewSingleSignonServices.bindings(aspects) # =&gt; []","ref":"SmeeView.SingleSignonServices.html#bindings/1","title":"SmeeView.SingleSignonServices.bindings/1","type":"function"},{"doc":"Removes any non-IdP aspects from a list (view) or map (prism)SingleSignonServices.idp_filter(view) # =&gt; []","ref":"SmeeView.SingleSignonServices.html#idp_filter/1","title":"SmeeView.SingleSignonServices.idp_filter/1","type":"function"},{"doc":"Returns a map of Elixir.SmeeView.Aspects.SingleSignonService aspect structs extracted from the input data, with entity IDs as keys.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity and/or Smee.Metadata structs. Only appropriate aspect records will be returned.prism/3 is useful for extracting specific types of aspects from lists of entity records, or metadata. If you are only interested in one aspect from a single Smee.Entity struct then you should probably use view/3 instead. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleSignonServices.prism(entity) # =&gt; %{&quot;https://example.com/shibboleth&quot; =&gt; [%Elixir.SmeeView.Aspects.SingleSignonService{}, %Elixir.SmeeView.Aspects.SingleSignonService{},]}","ref":"SmeeView.SingleSignonServices.html#prism/3","title":"SmeeView.SingleSignonServices.prism/3","type":"function"},{"doc":"Sorts the services - only really has an impact if services have an index value setSingleSignonServices.sort(aspect) # =&gt; [...]","ref":"SmeeView.SingleSignonServices.html#sort/1","title":"SmeeView.SingleSignonServices.sort/1","type":"function"},{"doc":"Removes any non-SP aspects from a list (view) or map (prism)SingleSignonServices.sp_filter(view) # =&gt; []","ref":"SmeeView.SingleSignonServices.html#sp_filter/1","title":"SmeeView.SingleSignonServices.sp_filter/1","type":"function"},{"doc":"Returns a list of Elixir.SmeeView.Aspects.SingleSignonService aspect structs extracted from the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects. Only appropriate aspect records will be returned.view/3 is useful for extracting specific types of aspects from one Entity, but because it has no entity ID information it's often not the best choice for handling Metadata. When extracting information from entire metadata it's often better to use prism/3 which returns the same data in a map, associated with each entity's ID. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleSignonServices.view(entity) # =&gt; [%Elixir.SmeeView.Aspects.SingleSignonService{}, %Elixir.SmeeView.Aspects.SingleSignonService{}]","ref":"SmeeView.SingleSignonServices.html#view/3","title":"SmeeView.SingleSignonServices.view/3","type":"function"},{"doc":"Returns a single Elixir.SmeeView.Aspects.SingleSignonService aspect struct extracted from one record in the input data.Input data can be a Smee.Entity or Smee.Metadata struct, or a list containing Smee.Entity, Smee.Metadata or any aspects.Only one entity will be processed and then only one aspect will be returned. If you pass one Entity struct as the input, it will be that entity (obviously). If you pass metadata structs or lists one entity will be chosen at random. The first suitable entity will be returned.view_one/3 is intended for use with a single entity record and aspects like SmeeView.Aspect.Entity, SmeeView.Aspect.SP' orSmeeView.Aspect.Organization' but will work with any aspect. The optional role parameter will optimize the results to only search for either :idp or :sp aspects. The default is :all.SingleSignonServices.view_one(entity) # =&gt; %Elixir.SmeeView.Aspects.SingleSignonService{}","ref":"SmeeView.SingleSignonServices.html#view_one/3","title":"SmeeView.SingleSignonServices.view_one/3","type":"function"},{"doc":"Represents and processes &lt;ArtifactResolutionService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.ArtifactResolutionService.html","title":"SmeeView.Aspects.ArtifactResolutionService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceArtifactResolutionService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.ArtifactResolutionService.html#binding/1","title":"SmeeView.Aspects.ArtifactResolutionService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.ArtifactResolutionService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.ArtifactResolutionService.html#endpoint/1","title":"SmeeView.Aspects.ArtifactResolutionService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.ArtifactResolutionService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ArtifactResolutionService.html#idp?/1","title":"SmeeView.Aspects.ArtifactResolutionService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.ArtifactResolutionService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.ArtifactResolutionService.html#index/1","title":"SmeeView.Aspects.ArtifactResolutionService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.ArtifactResolutionService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.ArtifactResolutionService.html#role/1","title":"SmeeView.Aspects.ArtifactResolutionService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.ArtifactResolutionService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.ArtifactResolutionService.html#sp?/1","title":"SmeeView.Aspects.ArtifactResolutionService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedArtifactResolutionService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ArtifactResolutionService.html#valid?/1","title":"SmeeView.Aspects.ArtifactResolutionService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.ArtifactResolutionService.html#t:t/0","title":"SmeeView.Aspects.ArtifactResolutionService.t/0","type":"type"},{"doc":"Represents and processes &lt;AssertionConsumerService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.AssertionConsumerService.html","title":"SmeeView.Aspects.AssertionConsumerService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceAssertionConsumerService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.AssertionConsumerService.html#binding/1","title":"SmeeView.Aspects.AssertionConsumerService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.AssertionConsumerService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.AssertionConsumerService.html#endpoint/1","title":"SmeeView.Aspects.AssertionConsumerService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.AssertionConsumerService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AssertionConsumerService.html#idp?/1","title":"SmeeView.Aspects.AssertionConsumerService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.AssertionConsumerService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.AssertionConsumerService.html#index/1","title":"SmeeView.Aspects.AssertionConsumerService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.AssertionConsumerService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.AssertionConsumerService.html#role/1","title":"SmeeView.Aspects.AssertionConsumerService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.AssertionConsumerService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.AssertionConsumerService.html#sp?/1","title":"SmeeView.Aspects.AssertionConsumerService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedAssertionConsumerService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AssertionConsumerService.html#valid?/1","title":"SmeeView.Aspects.AssertionConsumerService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.AssertionConsumerService.html#t:t/0","title":"SmeeView.Aspects.AssertionConsumerService.t/0","type":"type"},{"doc":"Represents and processes &lt;AssertionIDRequestService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.AssertionIDRequestService.html","title":"SmeeView.Aspects.AssertionIDRequestService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceAssertionIDRequestService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.AssertionIDRequestService.html#binding/1","title":"SmeeView.Aspects.AssertionIDRequestService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.AssertionIDRequestService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.AssertionIDRequestService.html#endpoint/1","title":"SmeeView.Aspects.AssertionIDRequestService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.AssertionIDRequestService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AssertionIDRequestService.html#idp?/1","title":"SmeeView.Aspects.AssertionIDRequestService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.AssertionIDRequestService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.AssertionIDRequestService.html#index/1","title":"SmeeView.Aspects.AssertionIDRequestService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.AssertionIDRequestService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.AssertionIDRequestService.html#role/1","title":"SmeeView.Aspects.AssertionIDRequestService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.AssertionIDRequestService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.AssertionIDRequestService.html#sp?/1","title":"SmeeView.Aspects.AssertionIDRequestService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedAssertionIDRequestService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AssertionIDRequestService.html#valid?/1","title":"SmeeView.Aspects.AssertionIDRequestService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.AssertionIDRequestService.html#t:t/0","title":"SmeeView.Aspects.AssertionIDRequestService.t/0","type":"type"},{"doc":"Represents and processes &lt;saml:Attribute&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Attribute.html","title":"SmeeView.Aspects.Attribute","type":"module"},{"doc":"Returns any predefined values for this attribute, or an empty listSmeeView.Aspects.Attribute.defined_values(aspect) # =&gt; [&quot;member&quot;, &quot;affiliate&quot;, &quot;staff&quot;, &quot;student&quot;]","ref":"SmeeView.Aspects.Attribute.html#defined_values/1","title":"SmeeView.Aspects.Attribute.defined_values/1","type":"function"},{"doc":"Returns true if the attribute has predefined valuesSmeeView.Aspects.Attribute.defined_values?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Attribute.html#defined_values?/1","title":"SmeeView.Aspects.Attribute.defined_values?/1","type":"function"},{"doc":"Returns the human-readable name for this attributeAttribute.friendly_name(aspect) # =&gt; &quot;eduPersonScopedAffiliation&quot;","ref":"SmeeView.Aspects.Attribute.html#friendly_name/1","title":"SmeeView.Aspects.Attribute.friendly_name/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Attribute.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Attribute.html#idp?/1","title":"SmeeView.Aspects.Attribute.idp?/1","type":"function"},{"doc":"Returns the technical name for this attributeAttribute.name(aspect) # =&gt; &quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.9&quot;","ref":"SmeeView.Aspects.Attribute.html#name/1","title":"SmeeView.Aspects.Attribute.name/1","type":"function"},{"doc":"Returns for technical name format for this attribute(It'll almost certainly be &quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;)Attribute.name_format(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;","ref":"SmeeView.Aspects.Attribute.html#name_format/1","title":"SmeeView.Aspects.Attribute.name_format/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Attribute.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Attribute.html#role/1","title":"SmeeView.Aspects.Attribute.role/1","type":"function"},{"doc":"Is this a SAML1 attribute? Returns true if passed a SAML1 attribute.Attribute.saml1?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Attribute.html#saml1?/1","title":"SmeeView.Aspects.Attribute.saml1?/1","type":"function"},{"doc":"Is this a SAML2 attribute? Returns true if a passed SAML2 attributeAttribute.saml2?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Attribute.html#saml2?/1","title":"SmeeView.Aspects.Attribute.saml2?/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Attribute.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Attribute.html#sp?/1","title":"SmeeView.Aspects.Attribute.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Attribute.html#t:t/0","title":"SmeeView.Aspects.Attribute.t/0","type":"type"},{"doc":"Represents and processes &lt;AttributeConsumingService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module. Other modules may be needed for aspects of a different type contained inside this one.","ref":"SmeeView.Aspects.AttributeConsumingService.html","title":"SmeeView.Aspects.AttributeConsumingService","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.AttributeConsumingService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AttributeConsumingService.html#idp?/1","title":"SmeeView.Aspects.AttributeConsumingService.idp?/1","type":"function"},{"doc":"Returns the index integer for this endpoint/serviceAttributeConsumingService.index(service) # =&gt; 1","ref":"SmeeView.Aspects.AttributeConsumingService.html#index/1","title":"SmeeView.Aspects.AttributeConsumingService.index/1","type":"function"},{"doc":"Returns a list of requested attributes, if any are present.AttributeConsumingService.requested_attributes(service) # =&gt; [%RequestedAttribute{...}, %RequestedAttribute{...}]","ref":"SmeeView.Aspects.AttributeConsumingService.html#requested_attributes/1","title":"SmeeView.Aspects.AttributeConsumingService.requested_attributes/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.AttributeConsumingService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.AttributeConsumingService.html#role/1","title":"SmeeView.Aspects.AttributeConsumingService.role/1","type":"function"},{"doc":"Returns a list of service descriptions (one per language)AttributeConsumingService.service_descriptions(service) # =&gt; [%ServiceDescription{lang: &quot;en&quot;, ...}, %ServiceDescription{lang: &quot;cn&quot;, ...}]","ref":"SmeeView.Aspects.AttributeConsumingService.html#service_descriptions/1","title":"SmeeView.Aspects.AttributeConsumingService.service_descriptions/1","type":"function"},{"doc":"Returns a list of service names (one per language)AttributeConsumingService.service_names(aspect) # =&gt; [%ServiceName{lang: &quot;en&quot;, ...}, %ServiceName{lang: &quot;cn&quot;, ...}]","ref":"SmeeView.Aspects.AttributeConsumingService.html#service_names/1","title":"SmeeView.Aspects.AttributeConsumingService.service_names/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.AttributeConsumingService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.AttributeConsumingService.html#sp?/1","title":"SmeeView.Aspects.AttributeConsumingService.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.AttributeConsumingService.html#t:t/0","title":"SmeeView.Aspects.AttributeConsumingService.t/0","type":"type"},{"doc":"Represents and processes &lt;AttributeService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.AttributeService.html","title":"SmeeView.Aspects.AttributeService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceAttributeService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.AttributeService.html#binding/1","title":"SmeeView.Aspects.AttributeService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.AttributeService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.AttributeService.html#endpoint/1","title":"SmeeView.Aspects.AttributeService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.AttributeService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AttributeService.html#idp?/1","title":"SmeeView.Aspects.AttributeService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.AttributeService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.AttributeService.html#index/1","title":"SmeeView.Aspects.AttributeService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.AttributeService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.AttributeService.html#role/1","title":"SmeeView.Aspects.AttributeService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.AttributeService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.AttributeService.html#sp?/1","title":"SmeeView.Aspects.AttributeService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedAttributeService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.AttributeService.html#valid?/1","title":"SmeeView.Aspects.AttributeService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.AttributeService.html#t:t/0","title":"SmeeView.Aspects.AttributeService.t/0","type":"type"},{"doc":"Represents and processes &lt;ContactPerson&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Contact.html","title":"SmeeView.Aspects.Contact","type":"module"},{"doc":"Returns the company name, if present (it probably isn't!)Contact.company(aspect) # =&gt; &quot;Unseen University&quot;","ref":"SmeeView.Aspects.Contact.html#company/1","title":"SmeeView.Aspects.Contact.company/1","type":"function"},{"doc":"Returns the suggested display name of a contact, derived from given name, surname and company.Contact.displayname(contact) # =&gt; &quot;Ponder Stibbons (Unseen University)&quot;","ref":"SmeeView.Aspects.Contact.html#displayname/1","title":"SmeeView.Aspects.Contact.displayname/1","type":"function"},{"doc":"Returns the email address as a bare email address (without name, not a URL)Contact.email(contact) # =&gt; &quot;ponders@unseen.edu&quot;","ref":"SmeeView.Aspects.Contact.html#email/1","title":"SmeeView.Aspects.Contact.email/1","type":"function"},{"doc":"Returns the contact's email address as a URL (as it's stored in the metadata, probably)Contact.email_url(contact) # =&gt; &quot;mailto:ponders@unseen.edu&quot;","ref":"SmeeView.Aspects.Contact.html#email_url/1","title":"SmeeView.Aspects.Contact.email_url/1","type":"function"},{"doc":"Returns the contact's givenname, if presentContact.givenname(contact) # =&gt; &quot;Ponder&quot;","ref":"SmeeView.Aspects.Contact.html#givenname/1","title":"SmeeView.Aspects.Contact.givenname/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Contact.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Contact.html#idp?/1","title":"SmeeView.Aspects.Contact.idp?/1","type":"function"},{"doc":"Returns the email address and name in RFC5322 name-addr format (name address@domain)Contact.name_addr(contact) # =&gt; &quot;Ponder Stibbons &lt;ponders@unseen.edu&gt;&quot;","ref":"SmeeView.Aspects.Contact.html#name_addr/1","title":"SmeeView.Aspects.Contact.name_addr/1","type":"function"},{"doc":"Returns the phone number of the contact, if present.Contact.phone(contact) # =&gt; &quot;01632960808&quot;","ref":"SmeeView.Aspects.Contact.html#phone/1","title":"SmeeView.Aspects.Contact.phone/1","type":"function"},{"doc":"Returns the phone number of the contact (or nil) as a URL, as it probably isn't stored in the metadataContact.phone_url(contact) # =&gt; &quot;tel:01632960808&quot;","ref":"SmeeView.Aspects.Contact.html#phone_url/1","title":"SmeeView.Aspects.Contact.phone_url/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Contact.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Contact.html#role/1","title":"SmeeView.Aspects.Contact.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Contact.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Contact.html#sp?/1","title":"SmeeView.Aspects.Contact.sp?/1","type":"function"},{"doc":"Returns the surname of the contact, if present.Contact.surname(contact) # =&gt; &quot;Stibbons&quot;","ref":"SmeeView.Aspects.Contact.html#surname/1","title":"SmeeView.Aspects.Contact.surname/1","type":"function"},{"doc":"Returns the contact type (technical, support, administrative, billing, or other)Contact.type(contact) # =&gt; &quot;administrative&quot;","ref":"SmeeView.Aspects.Contact.html#type/1","title":"SmeeView.Aspects.Contact.type/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Contact.html#t:t/0","title":"SmeeView.Aspects.Contact.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:Description&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Description.html","title":"SmeeView.Aspects.Description","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Description.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Description.html#idp?/1","title":"SmeeView.Aspects.Description.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.Description.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.Description.html#lang/1","title":"SmeeView.Aspects.Description.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.Description.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.Description.html#lang?/2","title":"SmeeView.Aspects.Description.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Description.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Description.html#role/1","title":"SmeeView.Aspects.Description.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Description.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Description.html#sp?/1","title":"SmeeView.Aspects.Description.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.Description.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.Description.html#text/1","title":"SmeeView.Aspects.Description.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Description.html#t:t/0","title":"SmeeView.Aspects.Description.t/0","type":"type"},{"doc":"Represents and processes &lt;alg:DigestMethod&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.DigestMethod.html","title":"SmeeView.Aspects.DigestMethod","type":"module"},{"doc":"Returns the name/text for this algorithm.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.DigestMethod.algorithm(aspect) # =&gt; &quot;http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1&quot;","ref":"SmeeView.Aspects.DigestMethod.html#algorithm/1","title":"SmeeView.Aspects.DigestMethod.algorithm/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.DigestMethod.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.DigestMethod.html#idp?/1","title":"SmeeView.Aspects.DigestMethod.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.DigestMethod.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.DigestMethod.html#role/1","title":"SmeeView.Aspects.DigestMethod.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.DigestMethod.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.DigestMethod.html#sp?/1","title":"SmeeView.Aspects.DigestMethod.sp?/1","type":"function"},{"doc":"Removes the namespace for the algorithm, leaving a smaller, friendlier, potentially colliding nameDigestMethod.truncate(aspect) # =&gt; &quot;ecdsa-sha1&quot;","ref":"SmeeView.Aspects.DigestMethod.html#truncate/1","title":"SmeeView.Aspects.DigestMethod.truncate/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.DigestMethod.html#t:t/0","title":"SmeeView.Aspects.DigestMethod.t/0","type":"type"},{"doc":"This aspect contains a bundle of related Discovery (&quot;Disco&quot;) aspects from entity metadata.Since scopes, networks, gelocations, domains, keywords, etc are often used together this Aspect exists to make gathering them all a little simpler.You can extract and process each of the different types of aspects using their own View modules:SmeeView.ScopesSmeeView.NetworksSmeeView.GeolocationsSmeeView.KeywordsSmeeView.Domains","ref":"SmeeView.Aspects.DiscoHints.html","title":"SmeeView.Aspects.DiscoHints","type":"module"},{"doc":"Return list of domain asspects (from &lt;mdui:DomainHints&gt; elements)DiscoHints.domains(aspect) # =&gt; [%Domain{}, %Domain{}]","ref":"SmeeView.Aspects.DiscoHints.html#domains/1","title":"SmeeView.Aspects.DiscoHints.domains/1","type":"function"},{"doc":"Returns a list of geolocation aspects (from &lt;mdui:GeolocationHint&gt; elements)DiscoHints.geolocations(aspect) # =&gt; [%Network{}. %Network{}]","ref":"SmeeView.Aspects.DiscoHints.html#geolocations/1","title":"SmeeView.Aspects.DiscoHints.geolocations/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.DiscoHints.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.DiscoHints.html#idp?/1","title":"SmeeView.Aspects.DiscoHints.idp?/1","type":"function"},{"doc":"Returns list of keyword aspects (from &lt;mdui:Keywords&gt; elements)DiscoHints.keywords(aspect) # =&gt; [%Keywords{}]","ref":"SmeeView.Aspects.DiscoHints.html#keywords/1","title":"SmeeView.Aspects.DiscoHints.keywords/1","type":"function"},{"doc":"Returns a list of network aspects (from &lt;mdui:IPHint&gt; elements)DiscoHints.networks(aspect) # =&gt; [%Network{}. %Network{}]","ref":"SmeeView.Aspects.DiscoHints.html#networks/1","title":"SmeeView.Aspects.DiscoHints.networks/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.DiscoHints.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.DiscoHints.html#role/1","title":"SmeeView.Aspects.DiscoHints.role/1","type":"function"},{"doc":"Returns a list of scope aspects used by the entityDiscoHints.scopes(aspect) # =&gt; [%Scope{regex: false, domain: &quot;unseen.edu&quot;}]","ref":"SmeeView.Aspects.DiscoHints.html#scopes/1","title":"SmeeView.Aspects.DiscoHints.scopes/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.DiscoHints.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.DiscoHints.html#sp?/1","title":"SmeeView.Aspects.DiscoHints.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.DiscoHints.html#t:t/0","title":"SmeeView.Aspects.DiscoHints.t/0","type":"type"},{"doc":"This aspect contains a bundle of related Metadata UI (&quot;mdui:&quot;) aspects from entity metadata.Since displaynames, descriptions, URLs, etc are often used together this Aspect exists to make gathering them all a little simpler.You can extract and process each of the different types of aspects using their own View modules:SmeeView.DisplaynamesSmeeView.DescriptionsSmeeView.LogosSmeeView.PrivacyURLsSmeeView.InformationURLsSmeeView.KeywordsSmeeView.Organization","ref":"SmeeView.Aspects.DiscoUI.html","title":"SmeeView.Aspects.DiscoUI","type":"module"},{"doc":"Returns list of description aspects (from &lt;mdui:Description&gt; elements)DiscoUI.descriptions(aspect) # =&gt; [%Description{}, %Description{}]","ref":"SmeeView.Aspects.DiscoUI.html#descriptions/1","title":"SmeeView.Aspects.DiscoUI.descriptions/1","type":"function"},{"doc":"Returns list of displaynames aspects (from &lt;mdui:Displayname&gt; elements)DiscoUI.displaynames(aspect) # =&gt; [%Displayname{}, %Displayname{}]","ref":"SmeeView.Aspects.DiscoUI.html#displaynames/1","title":"SmeeView.Aspects.DiscoUI.displaynames/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.DiscoUI.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.DiscoUI.html#idp?/1","title":"SmeeView.Aspects.DiscoUI.idp?/1","type":"function"},{"doc":"Returns a list of Information URLs (from &lt;mdui:InformationURL&gt; elements)DiscoUI.information_urls(aspect) # =&gt; [%InformationURL{}, %InformationURL{}]","ref":"SmeeView.Aspects.DiscoUI.html#information_urls/1","title":"SmeeView.Aspects.DiscoUI.information_urls/1","type":"function"},{"doc":"Returns list of keyword aspects (from &lt;mdui:Keywords&gt; elements)DiscoUI.keywords(aspect) # =&gt; [%Keywords{}]","ref":"SmeeView.Aspects.DiscoUI.html#keywords/1","title":"SmeeView.Aspects.DiscoUI.keywords/1","type":"function"},{"doc":"Returns list of logo aspects (from &lt;mdui:Logo&gt; elements)DiscoUI.logos(aspect) # =&gt; [%Logo{}, %Logo{}, %Logo{}]","ref":"SmeeView.Aspects.DiscoUI.html#logos/1","title":"SmeeView.Aspects.DiscoUI.logos/1","type":"function"},{"doc":"Returns the first Organizations (there is probably just one) for use if MDUI information is missingDiscoUI.organization(aspect) # =&gt; %Organization{}","ref":"SmeeView.Aspects.DiscoUI.html#organization/1","title":"SmeeView.Aspects.DiscoUI.organization/1","type":"function"},{"doc":"Returns a list of Organizations (probably just one) for use if MDUI information is missingDiscoUI.organizations(aspect) # =&gt; [%Organization{}]","ref":"SmeeView.Aspects.DiscoUI.html#organizations/1","title":"SmeeView.Aspects.DiscoUI.organizations/1","type":"function"},{"doc":"Returns a list of Privacy URLs (from &lt;mdui:PrivacyStatementURL&gt; elements)DiscoUI.privacy_urls(aspect) # =&gt; [%PrivacyURL{}, %PrivacyURL{}]","ref":"SmeeView.Aspects.DiscoUI.html#privacy_urls/1","title":"SmeeView.Aspects.DiscoUI.privacy_urls/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.DiscoUI.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.DiscoUI.html#role/1","title":"SmeeView.Aspects.DiscoUI.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.DiscoUI.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.DiscoUI.html#sp?/1","title":"SmeeView.Aspects.DiscoUI.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.DiscoUI.html#t:t/0","title":"SmeeView.Aspects.DiscoUI.t/0","type":"type"},{"doc":"Represents and processes &lt;idpdisc:DiscoveryResponse&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.DiscoveryResponse.html","title":"SmeeView.Aspects.DiscoveryResponse","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceDiscoveryResponse.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.DiscoveryResponse.html#binding/1","title":"SmeeView.Aspects.DiscoveryResponse.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.DiscoveryResponse.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.DiscoveryResponse.html#endpoint/1","title":"SmeeView.Aspects.DiscoveryResponse.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.DiscoveryResponse.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.DiscoveryResponse.html#idp?/1","title":"SmeeView.Aspects.DiscoveryResponse.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.DiscoveryResponse.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.DiscoveryResponse.html#index/1","title":"SmeeView.Aspects.DiscoveryResponse.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.DiscoveryResponse.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.DiscoveryResponse.html#role/1","title":"SmeeView.Aspects.DiscoveryResponse.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.DiscoveryResponse.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.DiscoveryResponse.html#sp?/1","title":"SmeeView.Aspects.DiscoveryResponse.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedDiscoveryResponse.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.DiscoveryResponse.html#valid?/1","title":"SmeeView.Aspects.DiscoveryResponse.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.DiscoveryResponse.html#t:t/0","title":"SmeeView.Aspects.DiscoveryResponse.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:Displayname&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Displayname.html","title":"SmeeView.Aspects.Displayname","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Displayname.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Displayname.html#idp?/1","title":"SmeeView.Aspects.Displayname.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.Displayname.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.Displayname.html#lang/1","title":"SmeeView.Aspects.Displayname.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.Displayname.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.Displayname.html#lang?/2","title":"SmeeView.Aspects.Displayname.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Displayname.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Displayname.html#role/1","title":"SmeeView.Aspects.Displayname.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Displayname.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Displayname.html#sp?/1","title":"SmeeView.Aspects.Displayname.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.Displayname.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.Displayname.html#text/1","title":"SmeeView.Aspects.Displayname.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Displayname.html#t:t/0","title":"SmeeView.Aspects.Displayname.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:DomainHint&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Domain.html","title":"SmeeView.Aspects.Domain","type":"module"},{"doc":"Returns the domain as a stringDomain.domain(aspect) # =&gt; &quot;unseen.edu&quot;","ref":"SmeeView.Aspects.Domain.html#domain/1","title":"SmeeView.Aspects.Domain.domain/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Domain.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Domain.html#idp?/1","title":"SmeeView.Aspects.Domain.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Domain.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Domain.html#role/1","title":"SmeeView.Aspects.Domain.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Domain.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Domain.html#sp?/1","title":"SmeeView.Aspects.Domain.sp?/1","type":"function"},{"doc":"Returns the domain as a stringDomain.text8(aspect) # =&gt; &quot;unseen.edu&quot;","ref":"SmeeView.Aspects.Domain.html#text/1","title":"SmeeView.Aspects.Domain.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Domain.html#t:t/0","title":"SmeeView.Aspects.Domain.t/0","type":"type"},{"doc":"Represents and processes &lt;EncryptionMethod&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.EncryptionMethod.html","title":"SmeeView.Aspects.EncryptionMethod","type":"module"},{"doc":"Returns the name/text for this algorithm.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.EncryptionMethod.algorithm(aspect) # =&gt; &quot;http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1&quot;","ref":"SmeeView.Aspects.EncryptionMethod.html#algorithm/1","title":"SmeeView.Aspects.EncryptionMethod.algorithm/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.EncryptionMethod.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.EncryptionMethod.html#idp?/1","title":"SmeeView.Aspects.EncryptionMethod.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.EncryptionMethod.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.EncryptionMethod.html#role/1","title":"SmeeView.Aspects.EncryptionMethod.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.EncryptionMethod.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.EncryptionMethod.html#sp?/1","title":"SmeeView.Aspects.EncryptionMethod.sp?/1","type":"function"},{"doc":"Removes the namespace for the algorithm, leaving a smaller, friendlier, potentially colliding nameEncryptionMethod.truncate(aspect) # =&gt; &quot;ecdsa-sha1&quot;","ref":"SmeeView.Aspects.EncryptionMethod.html#truncate/1","title":"SmeeView.Aspects.EncryptionMethod.truncate/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.EncryptionMethod.html#t:t/0","title":"SmeeView.Aspects.EncryptionMethod.t/0","type":"type"},{"doc":"This aspect contains a bundle of related aspects from entity metadata. It is the top-level structure for SmeeView.This is the most complicated and slowest Aspect structure in SmeeView, so unless you need everything within this structure, you will probably be better off using other Views to extract only what you need directly.You can extract and process each of the different types of aspects using their own View modules:","ref":"SmeeView.Aspects.Entity.html","title":"SmeeView.Aspects.Entity","type":"module"},{"doc":"Returns the cache duration value for the metadata, as a stringEntity.cache_duration(aspect) # =&gt; &quot;PT6H0M0.000S&quot;","ref":"SmeeView.Aspects.Entity.html#cache_duration/1","title":"SmeeView.Aspects.Entity.cache_duration/1","type":"function"},{"doc":"Returns a list of all contact aspects in the entityEntity.contacts(aspect) # =&gt; [%Contact{}, %Contact{}, %Contact{}]","ref":"SmeeView.Aspects.Entity.html#contacts/1","title":"SmeeView.Aspects.Entity.contacts/1","type":"function"},{"doc":"Returns a list of all Entity Attribute aspects for the entityEntity.entity_attributes(aspect) # =&gt; [%EntityAttribute{}, %EntityAttribute{}, %EntityAttribute{}]","ref":"SmeeView.Aspects.Entity.html#entity_attributes/1","title":"SmeeView.Aspects.Entity.entity_attributes/1","type":"function"},{"doc":"Returns the entity ID (URI) of the entity.This is already available in the Smee.Entity record and the keys of prism dataEntity.entity_id(aspect) # =&gt; &quot;https://idp.example.com/shibboleth&quot;","ref":"SmeeView.Aspects.Entity.html#entity_id/1","title":"SmeeView.Aspects.Entity.entity_id/1","type":"function"},{"doc":"Returns the &quot;ID&quot; of the entity's metadata record not the entity ID.This field will often be blank, and will differ for the same entity in different federationsIt will often be &quot;_&quot; or nilEntity.id(aspect) # =&gt; &quot;ex378486&quot;","ref":"SmeeView.Aspects.Entity.html#id/1","title":"SmeeView.Aspects.Entity.id/1","type":"function"},{"doc":"Returns the IdP role attribute for the entity, or nilEntity.idp(aspect) # =&gt; %IdP{}","ref":"SmeeView.Aspects.Entity.html#idp/1","title":"SmeeView.Aspects.Entity.idp/1","type":"function"},{"doc":"Returns true if an IdP role is presentEntity.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Entity.html#idp?/1","title":"SmeeView.Aspects.Entity.idp?/1","type":"function"},{"doc":"Returns a list of all IdP role aspects (there will be zero or one IdPs in the list)See idp/1 too, which returns one or nilEntity.idps(aspect) # =&gt; [%IdP{}]","ref":"SmeeView.Aspects.Entity.html#idps/1","title":"SmeeView.Aspects.Entity.idps/1","type":"function"},{"doc":"Returns the top-level organization aspect for the entity, or nilEntity.organization(aspect) # =&gt; %Organization{}","ref":"SmeeView.Aspects.Entity.html#organization/1","title":"SmeeView.Aspects.Entity.organization/1","type":"function"},{"doc":"Returns true if an Organization aspect is presentEntity.organization?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Entity.html#organization?/1","title":"SmeeView.Aspects.Entity.organization?/1","type":"function"},{"doc":"Returns a list of Organization aspects in the entityEntity.organizations(aspect) # =&gt; [%Organization{}]","ref":"SmeeView.Aspects.Entity.html#organizations/1","title":"SmeeView.Aspects.Entity.organizations/1","type":"function"},{"doc":"PublicationPath - list of Publications for the entityEntity.publications(aspect) # =&gt; [%Publication{}]","ref":"SmeeView.Aspects.Entity.html#publications/1","title":"SmeeView.Aspects.Entity.publications/1","type":"function"},{"doc":"Registration aspect for the entityEntity.registration(aspect) # =&gt; %Registration{}","ref":"SmeeView.Aspects.Entity.html#registration/1","title":"SmeeView.Aspects.Entity.registration/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Entity.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Entity.html#role/1","title":"SmeeView.Aspects.Entity.role/1","type":"function"},{"doc":"Lists all roles for the Entity (IdPs, SPs, others)Entity.roles(aspect) # =&gt; [%SP{}]","ref":"SmeeView.Aspects.Entity.html#roles/1","title":"SmeeView.Aspects.Entity.roles/1","type":"function"},{"doc":"Returns the SP role attribute for the entity, or nilEntity.sp(aspect) # =&gt; %SP{}","ref":"SmeeView.Aspects.Entity.html#sp/1","title":"SmeeView.Aspects.Entity.sp/1","type":"function"},{"doc":"Returns true if an SP role is presentEntity.sp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Entity.html#sp?/1","title":"SmeeView.Aspects.Entity.sp?/1","type":"function"},{"doc":"Returns a list of all SP role aspects (there will be zero or one SPs in the list)See sp/1 too, which returns one or nilEntity.sps(aspect) # =&gt; [%SP{}]","ref":"SmeeView.Aspects.Entity.html#sps/1","title":"SmeeView.Aspects.Entity.sps/1","type":"function"},{"doc":"Returns the valid until expiry date from the Entity.This should already be available in the Smee.Entity record, but that may be derived from the default in the parent metadata.Entity.valid_until(aspect) # =&gt; &quot;2021-12-25T17:33:22.438Z&quot;","ref":"SmeeView.Aspects.Entity.html#valid_until/1","title":"SmeeView.Aspects.Entity.valid_until/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Entity.html#t:t/0","title":"SmeeView.Aspects.Entity.t/0","type":"type"},{"doc":"Represents and processes &lt;mdattr:EntityAttributes&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.EntityAttribute.html","title":"SmeeView.Aspects.EntityAttribute","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.EntityAttribute.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.EntityAttribute.html#idp?/1","title":"SmeeView.Aspects.EntityAttribute.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.EntityAttribute.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.EntityAttribute.html#role/1","title":"SmeeView.Aspects.EntityAttribute.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.EntityAttribute.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.EntityAttribute.html#sp?/1","title":"SmeeView.Aspects.EntityAttribute.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.EntityAttribute.html#t:t/0","title":"SmeeView.Aspects.EntityAttribute.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:GeolocationHint&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Geolocation.html","title":"SmeeView.Aspects.Geolocation","type":"module"},{"doc":"Returns the geolocation as a stringGeolocation.geolocation(aspect) # =&gt; &quot;geo:47.37328,8.531126&quot;","ref":"SmeeView.Aspects.Geolocation.html#geolocation/1","title":"SmeeView.Aspects.Geolocation.geolocation/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Geolocation.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Geolocation.html#idp?/1","title":"SmeeView.Aspects.Geolocation.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Geolocation.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Geolocation.html#role/1","title":"SmeeView.Aspects.Geolocation.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Geolocation.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Geolocation.html#sp?/1","title":"SmeeView.Aspects.Geolocation.sp?/1","type":"function"},{"doc":"Returns the geolocation as a stringGeolocation.text(aspect) # =&gt; &quot;geo:47.37328,8.531126&quot;","ref":"SmeeView.Aspects.Geolocation.html#text/1","title":"SmeeView.Aspects.Geolocation.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Geolocation.html#t:t/0","title":"SmeeView.Aspects.Geolocation.t/0","type":"type"},{"doc":"This aspect contains a bundle of related aspects for the IdP role of an entity.Since displaynames, descriptions, URLs, etc are often used together this Aspect exists to make gathering them all a little simpler.You can extract and process each of the different types of aspects using their own View modules:SmeeView.DisplaynamesSmeeView.NamesSmeeView.LogosSmeeView.PrivacyURLsSmeeView.InformationURLsSmeeView.KeywordsSmeeView.Organization","ref":"SmeeView.Aspects.IdP.html","title":"SmeeView.Aspects.IdP","type":"module"},{"doc":"Lists of attributes associated with this roleIdP.attributes(aspect) # =&gt; [%Attribute{}, %Attribute{}]","ref":"SmeeView.Aspects.IdP.html#attributes/1","title":"SmeeView.Aspects.IdP.attributes/1","type":"function"},{"doc":"Lists MDUI displaynames used by this roleIdP.displaynames(aspect) # =&gt; [%Displayname{}, %Displayname{}, %Displayname{}]","ref":"SmeeView.Aspects.IdP.html#displaynames/1","title":"SmeeView.Aspects.IdP.displaynames/1","type":"function"},{"doc":"Lists MD Disco domain hints as domain aspectsIdP.domains(aspect) # =&gt; [%Domain{}]","ref":"SmeeView.Aspects.IdP.html#domains/1","title":"SmeeView.Aspects.IdP.domains/1","type":"function"},{"doc":"List MD Disco geolocation hints as geolocation aspectsIdP.geolocations(aspect) # =&gt; [Geolocation{},Geolocation{}]","ref":"SmeeView.Aspects.IdP.html#geolocations/1","title":"SmeeView.Aspects.IdP.geolocations/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.IdP.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.IdP.html#idp?/1","title":"SmeeView.Aspects.IdP.idp?/1","type":"function"},{"doc":"Lists public keys for this roleIdP.keys(aspect) # =&gt; [%Key{}, %Key{}]","ref":"SmeeView.Aspects.IdP.html#keys/1","title":"SmeeView.Aspects.IdP.keys/1","type":"function"},{"doc":"Lists MD Disco keyword sets as Keywords aspectsIdP.keywords(aspect) # =&gt; [Keywords{}]","ref":"SmeeView.Aspects.IdP.html#keywords/1","title":"SmeeView.Aspects.IdP.keywords/1","type":"function"},{"doc":"Lists MDUI logos used by this roleIdP.logos(aspect) # =&gt; [Logo{}, Logo{}, Logo{}]","ref":"SmeeView.Aspects.IdP.html#logos/1","title":"SmeeView.Aspects.IdP.logos/1","type":"function"},{"doc":"List NameID format URIs as aspectsIdP.nameid_formats(aspect) # =&gt; [%NameID{}]","ref":"SmeeView.Aspects.IdP.html#nameid_formats/1","title":"SmeeView.Aspects.IdP.nameid_formats/1","type":"function"},{"doc":"Lists MDDisco IPHints as Network aspectsIdP.networks(aspect) # =&gt; [%Network{}, %Network{}]","ref":"SmeeView.Aspects.IdP.html#networks/1","title":"SmeeView.Aspects.IdP.networks/1","type":"function"},{"doc":"Returns a list of protocol aspects for this roleIdP.protocols(aspect) # =&gt; [%Protocol{}, %Protocol{}]","ref":"SmeeView.Aspects.IdP.html#protocols/1","title":"SmeeView.Aspects.IdP.protocols/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.IdP.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.IdP.html#role/1","title":"SmeeView.Aspects.IdP.role/1","type":"function"},{"doc":"Lists Shibboleth domain scopes used by the IdP (not oauth/OIDC scopes)IdP.scopes(aspect) # =&gt; [%Scope{regex: false, domain: &quot;unseen.edu&quot;}]","ref":"SmeeView.Aspects.IdP.html#scopes/1","title":"SmeeView.Aspects.IdP.scopes/1","type":"function"},{"doc":"Lists all types of services for this roleIdP.services(aspect) # =&gt; [%SingleSignOnService{}, %SingleLogoutService{}]","ref":"SmeeView.Aspects.IdP.html#services/1","title":"SmeeView.Aspects.IdP.services/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.IdP.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.IdP.html#sp?/1","title":"SmeeView.Aspects.IdP.sp?/1","type":"function"},{"doc":"Returns true if the IdP demands Authn requests to be signedIdP.want_authn_requests_signed?(aspect) # =&gt; false","ref":"SmeeView.Aspects.IdP.html#want_authn_requests_signed?/1","title":"SmeeView.Aspects.IdP.want_authn_requests_signed?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.IdP.html#t:t/0","title":"SmeeView.Aspects.IdP.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:InformationURL&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.InformationURL.html","title":"SmeeView.Aspects.InformationURL","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.InformationURL.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.InformationURL.html#idp?/1","title":"SmeeView.Aspects.InformationURL.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.InformationURL.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.InformationURL.html#lang/1","title":"SmeeView.Aspects.InformationURL.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.InformationURL.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.InformationURL.html#lang?/2","title":"SmeeView.Aspects.InformationURL.lang?/2","type":"function"},{"doc":"Returns the URL for this aspect as a parsed URI struct.If the URI cannot be parsed then an exception will be raised. If you need more control you should either use valid?/1 first, or just use URI.parse/1 yourself.InformationURL.parsed!(aspect) # =&gt; %URI{...}","ref":"SmeeView.Aspects.InformationURL.html#parsed!/1","title":"SmeeView.Aspects.InformationURL.parsed!/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.InformationURL.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.InformationURL.html#role/1","title":"SmeeView.Aspects.InformationURL.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.InformationURL.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.InformationURL.html#sp?/1","title":"SmeeView.Aspects.InformationURL.sp?/1","type":"function"},{"doc":"Returns the URL for this aspect, as a text binaryAspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.InformationURL.url(aspect) # =&gt; &quot;https://idp.example.com/information&quot;","ref":"SmeeView.Aspects.InformationURL.html#url/1","title":"SmeeView.Aspects.InformationURL.url/1","type":"function"},{"doc":"Is this a valid URL? Returns true if the URL can be parsed.InformationURL.valid?(aspect) # =&gt; false","ref":"SmeeView.Aspects.InformationURL.html#valid?/1","title":"SmeeView.Aspects.InformationURL.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.InformationURL.html#t:t/0","title":"SmeeView.Aspects.InformationURL.t/0","type":"type"},{"doc":"Represents and processes &lt;KeyDescriptor&gt; elements in entity metadata as Aspect structs.This is information about the keys used by an IdP or SP for signing and encryption and contains the public keyThe functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Key.html","title":"SmeeView.Aspects.Key","type":"module"},{"doc":"Returns the raw BASE64 string data of the key, without PEM headers, as stored in the metadataKey.data(aspect) # =&gt; &quot;MIICMzCCAZygAwIBAgIJALiPnVsvq...&quot;","ref":"SmeeView.Aspects.Key.html#data/1","title":"SmeeView.Aspects.Key.data/1","type":"function"},{"doc":"Is the key suitable for encryption use?Not that this is used for, not specifically for - a type of nil indicates both signing and encryption use.Key.encryption?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Key.html#encryption?/1","title":"SmeeView.Aspects.Key.encryption?/1","type":"function"},{"doc":"Returns the expiry date (Not After) for the certificateKey.expires_at(aspect) # =&gt; ~U[2023-05-21 16:12:05.481701Z]","ref":"SmeeView.Aspects.Key.html#expires_at/1","title":"SmeeView.Aspects.Key.expires_at/1","type":"function"},{"doc":"Returns the SHA1 fingerprint of the certificateKey.fingerprint(aspect) # =&gt; &quot;A5:9C:E0:47:C1:34:88:9F:16:0B:15:0C:9E:A1:B9:05:6D:8C:37:FE&quot;","ref":"SmeeView.Aspects.Key.html#fingerprint/1","title":"SmeeView.Aspects.Key.fingerprint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Key.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Key.html#idp?/1","title":"SmeeView.Aspects.Key.idp?/1","type":"function"},{"doc":"Returns the issuer CN of the certificateKey.issuer(aspect) # =&gt; &quot;CN=Ankh Morpork Post Office&quot;","ref":"SmeeView.Aspects.Key.html#issuer/1","title":"SmeeView.Aspects.Key.issuer/1","type":"function"},{"doc":"Returns the public key as a PEM string (a BASE64-encoded DER certificate).Key.pem(aspect) # =&gt; &quot;-----BEGIN CERTIFICATE----- #MIICMzCCAZygAwIBAgIJALiPnVsvq...&quot;","ref":"SmeeView.Aspects.Key.html#pem/1","title":"SmeeView.Aspects.Key.pem/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Key.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Key.html#role/1","title":"SmeeView.Aspects.Key.role/1","type":"function"},{"doc":"Returns the serial number for the certificateKey.serial_number(aspect) # =&gt; &quot;27ACAE30B9F323&quot;","ref":"SmeeView.Aspects.Key.html#serial_number/1","title":"SmeeView.Aspects.Key.serial_number/1","type":"function"},{"doc":"Return the signature algorithm as a string (not a list!)Key.signature_algorithm(aspect) # =&gt; &quot;sha, rsa&quot;","ref":"SmeeView.Aspects.Key.html#signature_algorithm/1","title":"SmeeView.Aspects.Key.signature_algorithm/1","type":"function"},{"doc":"Is the key suitable for signing use?Not that this is used for, not specifically for - a type of nil indicates both signing and encryption use.Key.signing?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Key.html#signing?/1","title":"SmeeView.Aspects.Key.signing?/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Key.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Key.html#sp?/1","title":"SmeeView.Aspects.Key.sp?/1","type":"function"},{"doc":"Returns the subject CN of the key/certificateKey.subject(aspect) # =&gt; &quot;/CN=hex.unseen.edu/OU=Domain Control Validated&quot;","ref":"SmeeView.Aspects.Key.html#subject/1","title":"SmeeView.Aspects.Key.subject/1","type":"function"},{"doc":"Return the key type: signing, encryption or nil. Nil indicates that the key is general-purpose.Key.type(aspect) # =&gt; &quot;signing&quot;","ref":"SmeeView.Aspects.Key.html#type/1","title":"SmeeView.Aspects.Key.type/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Key.html#t:t/0","title":"SmeeView.Aspects.Key.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:Keywords&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Keywords.html","title":"SmeeView.Aspects.Keywords","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Keywords.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Keywords.html#idp?/1","title":"SmeeView.Aspects.Keywords.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.Keywords.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.Keywords.html#lang/1","title":"SmeeView.Aspects.Keywords.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.Keywords.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.Keywords.html#lang?/2","title":"SmeeView.Aspects.Keywords.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Keywords.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Keywords.html#role/1","title":"SmeeView.Aspects.Keywords.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Keywords.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Keywords.html#sp?/1","title":"SmeeView.Aspects.Keywords.sp?/1","type":"function"},{"doc":"Lists all keywords in this set as a single binary stringKeywords.text(aspect) # =&gt; &quot;GÉANT geant Terena Dante&quot;","ref":"SmeeView.Aspects.Keywords.html#text/1","title":"SmeeView.Aspects.Keywords.text/1","type":"function"},{"doc":"Returns the keywords in one keyword set as a list of stringsKeywords.words(aspect) # =&gt; [&quot;GÉANT&quot;, &quot;geant&quot;, &quot;Terena&quot; &quot;Dante&quot;]","ref":"SmeeView.Aspects.Keywords.html#words/1","title":"SmeeView.Aspects.Keywords.words/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Keywords.html#t:t/0","title":"SmeeView.Aspects.Keywords.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:Logo&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Logo.html","title":"SmeeView.Aspects.Logo","type":"module"},{"doc":"Is the URL a data: URL containing the actual logo, rather than a normal HTTP address?Logo.data?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Logo.html#data?/1","title":"SmeeView.Aspects.Logo.data?/1","type":"function"},{"doc":"Returns the file format of the image, if known, based on the URLLogo.format(aspect) # =&gt; :png","ref":"SmeeView.Aspects.Logo.html#format/1","title":"SmeeView.Aspects.Logo.format/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Logo.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Logo.html#idp?/1","title":"SmeeView.Aspects.Logo.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.Logo.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.Logo.html#lang/1","title":"SmeeView.Aspects.Logo.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.Logo.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.Logo.html#lang?/2","title":"SmeeView.Aspects.Logo.lang?/2","type":"function"},{"doc":"Returns the URL for this aspect as a parsed URI struct.If the URI cannot be parsed then an exception will be raised. If you need more control you should either use valid?/1 first, or just use URI.parse/1 yourself.Logo.parsed!(aspect) # =&gt; %URI{...}","ref":"SmeeView.Aspects.Logo.html#parsed!/1","title":"SmeeView.Aspects.Logo.parsed!/1","type":"function"},{"doc":"Returns the total number of pixels (X x Y)Logo.pixels(aspect) # =&gt; 4096","ref":"SmeeView.Aspects.Logo.html#pixels/1","title":"SmeeView.Aspects.Logo.pixels/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Logo.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Logo.html#role/1","title":"SmeeView.Aspects.Logo.role/1","type":"function"},{"doc":"Returns the shape of the logo (:square, :portrait or :landscape)It's currently rather crude - only exact squares will return :squareLogo.shape(aspect) # =&gt; :landscape","ref":"SmeeView.Aspects.Logo.html#shape/1","title":"SmeeView.Aspects.Logo.shape/1","type":"function"},{"doc":"Returns the size of the logo as a word. These words are currently arbitrary, from an old applicationSizes are: :tiny, :small, :icon, :default, :medium, :large, :huge and :sillyLogo.size(aspect) # =&gt; :large","ref":"SmeeView.Aspects.Logo.html#size/1","title":"SmeeView.Aspects.Logo.size/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Logo.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Logo.html#sp?/1","title":"SmeeView.Aspects.Logo.sp?/1","type":"function"},{"doc":"Does the logo use a HTTPS URL?Logo.tls?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Logo.html#tls?/1","title":"SmeeView.Aspects.Logo.tls?/1","type":"function"},{"doc":"Returns the URL for this aspect, as a text binaryAspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.Logo.url(aspect) # =&gt; &quot;https://idp.example.com/information&quot;","ref":"SmeeView.Aspects.Logo.html#url/1","title":"SmeeView.Aspects.Logo.url/1","type":"function"},{"doc":"Is this a valid URL? Returns true if the URL can be parsed.Logo.valid?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Logo.html#valid?/1","title":"SmeeView.Aspects.Logo.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Logo.html#t:t/0","title":"SmeeView.Aspects.Logo.t/0","type":"type"},{"doc":"Represents and processes &lt;ManageNameidService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.ManageNameidService.html","title":"SmeeView.Aspects.ManageNameidService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceManageNameidService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.ManageNameidService.html#binding/1","title":"SmeeView.Aspects.ManageNameidService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.ManageNameidService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.ManageNameidService.html#endpoint/1","title":"SmeeView.Aspects.ManageNameidService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.ManageNameidService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ManageNameidService.html#idp?/1","title":"SmeeView.Aspects.ManageNameidService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.ManageNameidService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.ManageNameidService.html#index/1","title":"SmeeView.Aspects.ManageNameidService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.ManageNameidService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.ManageNameidService.html#role/1","title":"SmeeView.Aspects.ManageNameidService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.ManageNameidService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.ManageNameidService.html#sp?/1","title":"SmeeView.Aspects.ManageNameidService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedManageNameidService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ManageNameidService.html#valid?/1","title":"SmeeView.Aspects.ManageNameidService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.ManageNameidService.html#t:t/0","title":"SmeeView.Aspects.ManageNameidService.t/0","type":"type"},{"doc":"Represents and processes &lt;NameIDFormat&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.NameIDFormat.html","title":"SmeeView.Aspects.NameIDFormat","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.NameIDFormat.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.NameIDFormat.html#idp?/1","title":"SmeeView.Aspects.NameIDFormat.idp?/1","type":"function"},{"doc":"Returns the value of the nameid as a stringNameIDFormat.nameid(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:nameid-format:persistent&quot;","ref":"SmeeView.Aspects.NameIDFormat.html#nameid/1","title":"SmeeView.Aspects.NameIDFormat.nameid/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.NameIDFormat.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.NameIDFormat.html#role/1","title":"SmeeView.Aspects.NameIDFormat.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.NameIDFormat.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.NameIDFormat.html#sp?/1","title":"SmeeView.Aspects.NameIDFormat.sp?/1","type":"function"},{"doc":"Returns the value of the nameid as a stringNameIDFormat.text(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:nameid-format:persistent&quot;","ref":"SmeeView.Aspects.NameIDFormat.html#text/1","title":"SmeeView.Aspects.NameIDFormat.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.NameIDFormat.html#t:t/0","title":"SmeeView.Aspects.NameIDFormat.t/0","type":"type"},{"doc":"Represents and processes &lt;NameIDMappingService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.NameidMappingService.html","title":"SmeeView.Aspects.NameidMappingService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceNameidMappingService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.NameidMappingService.html#binding/1","title":"SmeeView.Aspects.NameidMappingService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.NameidMappingService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.NameidMappingService.html#endpoint/1","title":"SmeeView.Aspects.NameidMappingService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.NameidMappingService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.NameidMappingService.html#idp?/1","title":"SmeeView.Aspects.NameidMappingService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.NameidMappingService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.NameidMappingService.html#index/1","title":"SmeeView.Aspects.NameidMappingService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.NameidMappingService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.NameidMappingService.html#role/1","title":"SmeeView.Aspects.NameidMappingService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.NameidMappingService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.NameidMappingService.html#sp?/1","title":"SmeeView.Aspects.NameidMappingService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedNameidMappingService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.NameidMappingService.html#valid?/1","title":"SmeeView.Aspects.NameidMappingService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.NameidMappingService.html#t:t/0","title":"SmeeView.Aspects.NameidMappingService.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:IPHint&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Network.html","title":"SmeeView.Aspects.Network","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Network.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Network.html#idp?/1","title":"SmeeView.Aspects.Network.idp?/1","type":"function"},{"doc":"Returns the value of the network/IPHint as a stringNetwork.network(aspect) # =&gt; &quot;130.88.0.0/16&quot;","ref":"SmeeView.Aspects.Network.html#network/1","title":"SmeeView.Aspects.Network.network/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Network.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Network.html#role/1","title":"SmeeView.Aspects.Network.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Network.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Network.html#sp?/1","title":"SmeeView.Aspects.Network.sp?/1","type":"function"},{"doc":"Returns the value of the network/IPHint as a stringNetwork.text(aspect) # =&gt; &quot;130.88.0.0/16&quot;","ref":"SmeeView.Aspects.Network.html#text/1","title":"SmeeView.Aspects.Network.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Network.html#t:t/0","title":"SmeeView.Aspects.Network.t/0","type":"type"},{"doc":"Represents and processes &lt;Organization&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Organization.html","title":"SmeeView.Aspects.Organization","type":"module"},{"doc":"Lists all displaynames for this organization (one for each language)Organization.displaynames(aspect) # =&gt; [OrganizationDisplayname{}, OrganizationDisplayname{}, OrganizationDisplayname{}]","ref":"SmeeView.Aspects.Organization.html#displaynames/1","title":"SmeeView.Aspects.Organization.displaynames/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Organization.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Organization.html#idp?/1","title":"SmeeView.Aspects.Organization.idp?/1","type":"function"},{"doc":"Lists all names for this organization (one for each language)Organization.names(aspect) # =&gt; [OrganizationName{}, OrganizationName{}, OrganizationName{}]","ref":"SmeeView.Aspects.Organization.html#names/1","title":"SmeeView.Aspects.Organization.names/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Organization.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Organization.html#role/1","title":"SmeeView.Aspects.Organization.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Organization.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Organization.html#sp?/1","title":"SmeeView.Aspects.Organization.sp?/1","type":"function"},{"doc":"Lists all URLs for this organization (one for each language)Organization.urls(aspect) # =&gt; [OrganizationURL{}, OrganizationURL{}, OrganizationURL{}]","ref":"SmeeView.Aspects.Organization.html#urls/1","title":"SmeeView.Aspects.Organization.urls/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Organization.html#t:t/0","title":"SmeeView.Aspects.Organization.t/0","type":"type"},{"doc":"Represents and processes &lt;OrganizationDisplayName&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.OrganizationDisplayname.html","title":"SmeeView.Aspects.OrganizationDisplayname","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.OrganizationDisplayname.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.OrganizationDisplayname.html#idp?/1","title":"SmeeView.Aspects.OrganizationDisplayname.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.OrganizationDisplayname.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.OrganizationDisplayname.html#lang/1","title":"SmeeView.Aspects.OrganizationDisplayname.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.OrganizationDisplayname.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.OrganizationDisplayname.html#lang?/2","title":"SmeeView.Aspects.OrganizationDisplayname.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.OrganizationDisplayname.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.OrganizationDisplayname.html#role/1","title":"SmeeView.Aspects.OrganizationDisplayname.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.OrganizationDisplayname.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.OrganizationDisplayname.html#sp?/1","title":"SmeeView.Aspects.OrganizationDisplayname.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.OrganizationDisplayname.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.OrganizationDisplayname.html#text/1","title":"SmeeView.Aspects.OrganizationDisplayname.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.OrganizationDisplayname.html#t:t/0","title":"SmeeView.Aspects.OrganizationDisplayname.t/0","type":"type"},{"doc":"Represents and processes &lt;OrganizationName&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.OrganizationName.html","title":"SmeeView.Aspects.OrganizationName","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.OrganizationName.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.OrganizationName.html#idp?/1","title":"SmeeView.Aspects.OrganizationName.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.OrganizationName.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.OrganizationName.html#lang/1","title":"SmeeView.Aspects.OrganizationName.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.OrganizationName.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.OrganizationName.html#lang?/2","title":"SmeeView.Aspects.OrganizationName.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.OrganizationName.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.OrganizationName.html#role/1","title":"SmeeView.Aspects.OrganizationName.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.OrganizationName.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.OrganizationName.html#sp?/1","title":"SmeeView.Aspects.OrganizationName.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.OrganizationName.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.OrganizationName.html#text/1","title":"SmeeView.Aspects.OrganizationName.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.OrganizationName.html#t:t/0","title":"SmeeView.Aspects.OrganizationName.t/0","type":"type"},{"doc":"Represents and processes &lt;OrganizationURL&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.OrganizationURL.html","title":"SmeeView.Aspects.OrganizationURL","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.OrganizationURL.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.OrganizationURL.html#idp?/1","title":"SmeeView.Aspects.OrganizationURL.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.OrganizationURL.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.OrganizationURL.html#lang/1","title":"SmeeView.Aspects.OrganizationURL.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.OrganizationURL.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.OrganizationURL.html#lang?/2","title":"SmeeView.Aspects.OrganizationURL.lang?/2","type":"function"},{"doc":"Returns the URL for this aspect as a parsed URI struct.If the URI cannot be parsed then an exception will be raised. If you need more control you should either use valid?/1 first, or just use URI.parse/1 yourself.OrganizationURL.parsed!(aspect) # =&gt; %URI{...}","ref":"SmeeView.Aspects.OrganizationURL.html#parsed!/1","title":"SmeeView.Aspects.OrganizationURL.parsed!/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.OrganizationURL.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.OrganizationURL.html#role/1","title":"SmeeView.Aspects.OrganizationURL.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.OrganizationURL.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.OrganizationURL.html#sp?/1","title":"SmeeView.Aspects.OrganizationURL.sp?/1","type":"function"},{"doc":"Returns the URL for this aspect, as a text binaryAspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.OrganizationURL.url(aspect) # =&gt; &quot;https://idp.example.com/information&quot;","ref":"SmeeView.Aspects.OrganizationURL.html#url/1","title":"SmeeView.Aspects.OrganizationURL.url/1","type":"function"},{"doc":"Is this a valid URL? Returns true if the URL can be parsed.OrganizationURL.valid?(aspect) # =&gt; false","ref":"SmeeView.Aspects.OrganizationURL.html#valid?/1","title":"SmeeView.Aspects.OrganizationURL.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.OrganizationURL.html#t:t/0","title":"SmeeView.Aspects.OrganizationURL.t/0","type":"type"},{"doc":"Represents and processes &lt;mdui:PrivacyStatementURL&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.PrivacyURL.html","title":"SmeeView.Aspects.PrivacyURL","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.PrivacyURL.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.PrivacyURL.html#idp?/1","title":"SmeeView.Aspects.PrivacyURL.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.PrivacyURL.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.PrivacyURL.html#lang/1","title":"SmeeView.Aspects.PrivacyURL.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.PrivacyURL.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.PrivacyURL.html#lang?/2","title":"SmeeView.Aspects.PrivacyURL.lang?/2","type":"function"},{"doc":"Returns the URL for this aspect as a parsed URI struct.If the URI cannot be parsed then an exception will be raised. If you need more control you should either use valid?/1 first, or just use URI.parse/1 yourself.PrivacyURL.parsed!(aspect) # =&gt; %URI{...}","ref":"SmeeView.Aspects.PrivacyURL.html#parsed!/1","title":"SmeeView.Aspects.PrivacyURL.parsed!/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.PrivacyURL.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.PrivacyURL.html#role/1","title":"SmeeView.Aspects.PrivacyURL.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.PrivacyURL.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.PrivacyURL.html#sp?/1","title":"SmeeView.Aspects.PrivacyURL.sp?/1","type":"function"},{"doc":"Returns the URL for this aspect, as a text binaryAspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.PrivacyURL.url(aspect) # =&gt; &quot;https://idp.example.com/information&quot;","ref":"SmeeView.Aspects.PrivacyURL.html#url/1","title":"SmeeView.Aspects.PrivacyURL.url/1","type":"function"},{"doc":"Is this a valid URL? Returns true if the URL can be parsed.PrivacyURL.valid?(aspect) # =&gt; false","ref":"SmeeView.Aspects.PrivacyURL.html#valid?/1","title":"SmeeView.Aspects.PrivacyURL.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.PrivacyURL.html#t:t/0","title":"SmeeView.Aspects.PrivacyURL.t/0","type":"type"},{"doc":"Represents and processes protocolSupportEnumeration XML attributes in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Protocol.html","title":"SmeeView.Aspects.Protocol","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Protocol.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Protocol.html#idp?/1","title":"SmeeView.Aspects.Protocol.idp?/1","type":"function"},{"doc":"Returns the protocol URI as a string binary.Protocol.protocol(aspect) # =&gt; &quot;&quot;urn:oasis:names:tc:SAML:2.0:protocol&quot;","ref":"SmeeView.Aspects.Protocol.html#protocol/1","title":"SmeeView.Aspects.Protocol.protocol/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Protocol.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Protocol.html#role/1","title":"SmeeView.Aspects.Protocol.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Protocol.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Protocol.html#sp?/1","title":"SmeeView.Aspects.Protocol.sp?/1","type":"function"},{"doc":"Returns the protocol URI as a string binary.Protocol.text(aspect) # =&gt; &quot;&quot;urn:oasis:names:tc:SAML:2.0:protocol&quot;","ref":"SmeeView.Aspects.Protocol.html#text/1","title":"SmeeView.Aspects.Protocol.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Protocol.html#t:t/0","title":"SmeeView.Aspects.Protocol.t/0","type":"type"},{"doc":"Represents and processes &lt;mdrpi:Publication&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Publication.html","title":"SmeeView.Aspects.Publication","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Publication.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Publication.html#idp?/1","title":"SmeeView.Aspects.Publication.idp?/1","type":"function"},{"doc":"Returns the publication ID as a binary string.Publication.publication_id(aspect) # =&gt; &quot;k3klsoi&quot;","ref":"SmeeView.Aspects.Publication.html#publication_id/1","title":"SmeeView.Aspects.Publication.publication_id/1","type":"function"},{"doc":"Returns the URI ID of the publisher as a binary string.Publication.publisher(aspect) # =&gt; &quot;urn:mace:switch.ch:SWITCHaai&quot;","ref":"SmeeView.Aspects.Publication.html#publisher/1","title":"SmeeView.Aspects.Publication.publisher/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Publication.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Publication.html#role/1","title":"SmeeView.Aspects.Publication.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Publication.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Publication.html#sp?/1","title":"SmeeView.Aspects.Publication.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Publication.html#t:t/0","title":"SmeeView.Aspects.Publication.t/0","type":"type"},{"doc":"Represents and processes &lt;mdrpi:RegistrationInfo&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Registration.html","title":"SmeeView.Aspects.Registration","type":"module"},{"doc":"Returns the ID URI of the registrar/registration authorityRegistration.authority(aspect) # =&gt; &quot;http://ukfederation.org.uk&quot;","ref":"SmeeView.Aspects.Registration.html#authority/1","title":"SmeeView.Aspects.Registration.authority/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Registration.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Registration.html#idp?/1","title":"SmeeView.Aspects.Registration.idp?/1","type":"function"},{"doc":"xxRegistration.instant(aspect) # =&gt; &quot;2014-11-07T16:35:40Z&quot;","ref":"SmeeView.Aspects.Registration.html#instant/1","title":"SmeeView.Aspects.Registration.instant/1","type":"function"},{"doc":"Returns a list of any registration policiesRegistration.policies(aspect) # =&gt; [%RegistrationPolicy{lang=&quot;en&quot;}, %RegistrationPolicy{lang=&quot;sco&quot;}]","ref":"SmeeView.Aspects.Registration.html#policies/1","title":"SmeeView.Aspects.Registration.policies/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Registration.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Registration.html#role/1","title":"SmeeView.Aspects.Registration.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Registration.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Registration.html#sp?/1","title":"SmeeView.Aspects.Registration.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Registration.html#t:t/0","title":"SmeeView.Aspects.Registration.t/0","type":"type"},{"doc":"Represents and processes &lt;mdrpi:RegistrationPolicy&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.RegistrationPolicy.html","title":"SmeeView.Aspects.RegistrationPolicy","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.RegistrationPolicy.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RegistrationPolicy.html#idp?/1","title":"SmeeView.Aspects.RegistrationPolicy.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.RegistrationPolicy.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.RegistrationPolicy.html#lang/1","title":"SmeeView.Aspects.RegistrationPolicy.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.RegistrationPolicy.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.RegistrationPolicy.html#lang?/2","title":"SmeeView.Aspects.RegistrationPolicy.lang?/2","type":"function"},{"doc":"Returns the URL for this aspect as a parsed URI struct.If the URI cannot be parsed then an exception will be raised. If you need more control you should either use valid?/1 first, or just use URI.parse/1 yourself.RegistrationPolicy.parsed!(aspect) # =&gt; %URI{...}","ref":"SmeeView.Aspects.RegistrationPolicy.html#parsed!/1","title":"SmeeView.Aspects.RegistrationPolicy.parsed!/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.RegistrationPolicy.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.RegistrationPolicy.html#role/1","title":"SmeeView.Aspects.RegistrationPolicy.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.RegistrationPolicy.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RegistrationPolicy.html#sp?/1","title":"SmeeView.Aspects.RegistrationPolicy.sp?/1","type":"function"},{"doc":"Returns the URL for this aspect, as a text binaryAspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.RegistrationPolicy.url(aspect) # =&gt; &quot;https://idp.example.com/information&quot;","ref":"SmeeView.Aspects.RegistrationPolicy.html#url/1","title":"SmeeView.Aspects.RegistrationPolicy.url/1","type":"function"},{"doc":"Is this a valid URL? Returns true if the URL can be parsed.RegistrationPolicy.valid?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RegistrationPolicy.html#valid?/1","title":"SmeeView.Aspects.RegistrationPolicy.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.RegistrationPolicy.html#t:t/0","title":"SmeeView.Aspects.RegistrationPolicy.t/0","type":"type"},{"doc":"Represents and processes &lt;RequestInitiator&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.RequestInitiator.html","title":"SmeeView.Aspects.RequestInitiator","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceRequestInitiator.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.RequestInitiator.html#binding/1","title":"SmeeView.Aspects.RequestInitiator.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.RequestInitiator.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.RequestInitiator.html#endpoint/1","title":"SmeeView.Aspects.RequestInitiator.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.RequestInitiator.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RequestInitiator.html#idp?/1","title":"SmeeView.Aspects.RequestInitiator.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.RequestInitiator.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.RequestInitiator.html#index/1","title":"SmeeView.Aspects.RequestInitiator.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.RequestInitiator.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.RequestInitiator.html#role/1","title":"SmeeView.Aspects.RequestInitiator.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.RequestInitiator.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RequestInitiator.html#sp?/1","title":"SmeeView.Aspects.RequestInitiator.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedRequestInitiator.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RequestInitiator.html#valid?/1","title":"SmeeView.Aspects.RequestInitiator.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.RequestInitiator.html#t:t/0","title":"SmeeView.Aspects.RequestInitiator.t/0","type":"type"},{"doc":"Represents and processes &lt;RequestedAttribute&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.RequestedAttribute.html","title":"SmeeView.Aspects.RequestedAttribute","type":"module"},{"doc":"Returns the human-readable name for this attributeRequestedAttribute.friendly_name(aspect) # =&gt; &quot;eduPersonScopedAffiliation&quot;","ref":"SmeeView.Aspects.RequestedAttribute.html#friendly_name/1","title":"SmeeView.Aspects.RequestedAttribute.friendly_name/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.RequestedAttribute.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RequestedAttribute.html#idp?/1","title":"SmeeView.Aspects.RequestedAttribute.idp?/1","type":"function"},{"doc":"Returns the technical name for this attributeRequestedAttribute.name(aspect) # =&gt; &quot;urn:oid:1.3.6.1.4.1.5923.1.1.1.9&quot;","ref":"SmeeView.Aspects.RequestedAttribute.html#name/1","title":"SmeeView.Aspects.RequestedAttribute.name/1","type":"function"},{"doc":"Returns for technical name format for this attribute(It'll almost certainly be &quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;)RequestedAttribute.name_format(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;","ref":"SmeeView.Aspects.RequestedAttribute.html#name_format/1","title":"SmeeView.Aspects.RequestedAttribute.name_format/1","type":"function"},{"doc":"Returns true if the attribute is optionalSmeeView.Aspects.RequestedAttribute.optional?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RequestedAttribute.html#optional?/1","title":"SmeeView.Aspects.RequestedAttribute.optional?/1","type":"function"},{"doc":"Returns true if the attribute is requiredSmeeView.Aspects.RequestedAttribute.required?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RequestedAttribute.html#required?/1","title":"SmeeView.Aspects.RequestedAttribute.required?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.RequestedAttribute.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.RequestedAttribute.html#role/1","title":"SmeeView.Aspects.RequestedAttribute.role/1","type":"function"},{"doc":"Is this a SAML1 attribute? Returns true if passed a SAML1 attribute.RequestedAttribute.saml1?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RequestedAttribute.html#saml1?/1","title":"SmeeView.Aspects.RequestedAttribute.saml1?/1","type":"function"},{"doc":"Is this a SAML2 attribute? Returns true if a passed SAML2 attributeRequestedAttribute.saml2?(aspect) # =&gt; true","ref":"SmeeView.Aspects.RequestedAttribute.html#saml2?/1","title":"SmeeView.Aspects.RequestedAttribute.saml2?/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.RequestedAttribute.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.RequestedAttribute.html#sp?/1","title":"SmeeView.Aspects.RequestedAttribute.sp?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.RequestedAttribute.html#t:t/0","title":"SmeeView.Aspects.RequestedAttribute.t/0","type":"type"},{"doc":"This aspect contains a bundle of related aspects for the SP role of an entity.Since displaynames, descriptions, URLs, etc are often used together this Aspect exists to make gathering them all a little simpler.You can extract and process each of the different types of aspects using their own View modules:SmeeView.DisplaynamesSmeeView.NamesSmeeView.LogosSmeeView.PrivacyURLsSmeeView.InformationURLsSmeeView.KeywordsSmeeView.Organization","ref":"SmeeView.Aspects.SP.html","title":"SmeeView.Aspects.SP","type":"module"},{"doc":"Returns true if the signs authn requests is setSP.authn_requests_signed?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SP.html#authn_requests_signed?/1","title":"SmeeView.Aspects.SP.authn_requests_signed?/1","type":"function"},{"doc":"Lists MDUI displaynames used by this roleSP.displaynames(aspect) # =&gt; [%Displayname{}, %Displayname{}, %Displayname{}]","ref":"SmeeView.Aspects.SP.html#displaynames/1","title":"SmeeView.Aspects.SP.displaynames/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.SP.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SP.html#idp?/1","title":"SmeeView.Aspects.SP.idp?/1","type":"function"},{"doc":"Lists public keys for this roleSP.keys(aspect) # =&gt; [%Key{}, %Key{}]","ref":"SmeeView.Aspects.SP.html#keys/1","title":"SmeeView.Aspects.SP.keys/1","type":"function"},{"doc":"Lists MD Disco keyword sets as Keywords aspectsSP.keywords(aspect) # =&gt; [Keywords{}]","ref":"SmeeView.Aspects.SP.html#keywords/1","title":"SmeeView.Aspects.SP.keywords/1","type":"function"},{"doc":"Lists MDUI logos used by this roleSP.logos(aspect) # =&gt; [Logo{}, Logo{}, Logo{}]","ref":"SmeeView.Aspects.SP.html#logos/1","title":"SmeeView.Aspects.SP.logos/1","type":"function"},{"doc":"Returns a list of protocol aspects for this roleSP.protocols(aspect) # =&gt; [%Protocol{}, %Protocol{}]","ref":"SmeeView.Aspects.SP.html#protocols/1","title":"SmeeView.Aspects.SP.protocols/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.SP.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.SP.html#role/1","title":"SmeeView.Aspects.SP.role/1","type":"function"},{"doc":"Lists all types of services for this roleSP.services(aspect) # =&gt; [%SingleSignOnService{}, %SingleLogoutService{}]","ref":"SmeeView.Aspects.SP.html#services/1","title":"SmeeView.Aspects.SP.services/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.SP.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SP.html#sp?/1","title":"SmeeView.Aspects.SP.sp?/1","type":"function"},{"doc":"Returns true if the SP wants assertions to besignedSP.want_assertions_signed?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SP.html#want_assertions_signed?/1","title":"SmeeView.Aspects.SP.want_assertions_signed?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.SP.html#t:t/0","title":"SmeeView.Aspects.SP.t/0","type":"type"},{"doc":"Represents and processes &lt;shibmd:Scope&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.Scope.html","title":"SmeeView.Aspects.Scope","type":"module"},{"doc":"Returns the domain of the scope as a string (whether or not it is a regex)Scope.domain(aspect) # =&gt; &quot;example.com&quot;","ref":"SmeeView.Aspects.Scope.html#domain/1","title":"SmeeView.Aspects.Scope.domain/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.Scope.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.Scope.html#idp?/1","title":"SmeeView.Aspects.Scope.idp?/1","type":"function"},{"doc":"Does the scope ask to be treated as a regular expression? Returns true if scope is a regex.Scope.regex?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Scope.html#regex?/1","title":"SmeeView.Aspects.Scope.regex?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.Scope.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.Scope.html#role/1","title":"SmeeView.Aspects.Scope.role/1","type":"function"},{"doc":"Returns the domain of the scope as a string (whether or not it is a regex)Scope.scope(aspect) # =&gt; &quot;example.com&quot;","ref":"SmeeView.Aspects.Scope.html#scope/1","title":"SmeeView.Aspects.Scope.scope/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.Scope.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.Scope.html#sp?/1","title":"SmeeView.Aspects.Scope.sp?/1","type":"function"},{"doc":"Returns the domain of the scope as a string (whether or not it is a regex)Scope.text(aspect) # =&gt; &quot;example.com&quot;","ref":"SmeeView.Aspects.Scope.html#text/1","title":"SmeeView.Aspects.Scope.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.Scope.html#t:t/0","title":"SmeeView.Aspects.Scope.t/0","type":"type"},{"doc":"Represents and processes &lt;ServiceDescription&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.ServiceDescription.html","title":"SmeeView.Aspects.ServiceDescription","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.ServiceDescription.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ServiceDescription.html#idp?/1","title":"SmeeView.Aspects.ServiceDescription.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.ServiceDescription.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.ServiceDescription.html#lang/1","title":"SmeeView.Aspects.ServiceDescription.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.ServiceDescription.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.ServiceDescription.html#lang?/2","title":"SmeeView.Aspects.ServiceDescription.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.ServiceDescription.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.ServiceDescription.html#role/1","title":"SmeeView.Aspects.ServiceDescription.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.ServiceDescription.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.ServiceDescription.html#sp?/1","title":"SmeeView.Aspects.ServiceDescription.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.ServiceDescription.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.ServiceDescription.html#text/1","title":"SmeeView.Aspects.ServiceDescription.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.ServiceDescription.html#t:t/0","title":"SmeeView.Aspects.ServiceDescription.t/0","type":"type"},{"doc":"Represents and processes &lt;ServiceName&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.ServiceName.html","title":"SmeeView.Aspects.ServiceName","type":"module"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.ServiceName.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.ServiceName.html#idp?/1","title":"SmeeView.Aspects.ServiceName.idp?/1","type":"function"},{"doc":"Returns the language of this aspect (as a two letter ISO 639-1 code)If no language code has been set for this aspect then the default language code will be returned.ServiceName.lang(aspect) # =&gt; &quot;fr&quot;","ref":"SmeeView.Aspects.ServiceName.html#lang/1","title":"SmeeView.Aspects.ServiceName.lang/1","type":"function"},{"doc":"Is the aspect using this language? (two letter ISO 639-1 code)Returns true if the provided code matches that of the aspect.If no language code has been set for this aspect then the aspect will be assumed to have the default language code.ServiceName.lang?(aspect, &quot;en&quot;) # =&gt; false","ref":"SmeeView.Aspects.ServiceName.html#lang?/2","title":"SmeeView.Aspects.ServiceName.lang?/2","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.ServiceName.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.ServiceName.html#role/1","title":"SmeeView.Aspects.ServiceName.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.ServiceName.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.ServiceName.html#sp?/1","title":"SmeeView.Aspects.ServiceName.sp?/1","type":"function"},{"doc":"Returns the text for the aspect.If you are trying to show the text for a particular language then use a function from the matching View instead, and provide a list of aspects for it to choose from.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.ServiceName.text(aspect) # =&gt; &quot;Example University IdP&quot;","ref":"SmeeView.Aspects.ServiceName.html#text/1","title":"SmeeView.Aspects.ServiceName.text/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.ServiceName.html#t:t/0","title":"SmeeView.Aspects.ServiceName.t/0","type":"type"},{"doc":"Represents and processes &lt;alg:SigningMethod&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.SigningMethod.html","title":"SmeeView.Aspects.SigningMethod","type":"module"},{"doc":"Returns the name/text for this algorithm.Aspects containing text are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.SigningMethod.algorithm(aspect) # =&gt; &quot;http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1&quot;","ref":"SmeeView.Aspects.SigningMethod.html#algorithm/1","title":"SmeeView.Aspects.SigningMethod.algorithm/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.SigningMethod.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SigningMethod.html#idp?/1","title":"SmeeView.Aspects.SigningMethod.idp?/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.SigningMethod.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.SigningMethod.html#role/1","title":"SmeeView.Aspects.SigningMethod.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.SigningMethod.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SigningMethod.html#sp?/1","title":"SmeeView.Aspects.SigningMethod.sp?/1","type":"function"},{"doc":"Removes the namespace for the algorithm, leaving a smaller, friendlier, potentially colliding nameSigningMethod.truncate(aspect) # =&gt; &quot;ecdsa-sha1&quot;","ref":"SmeeView.Aspects.SigningMethod.html#truncate/1","title":"SmeeView.Aspects.SigningMethod.truncate/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.SigningMethod.html#t:t/0","title":"SmeeView.Aspects.SigningMethod.t/0","type":"type"},{"doc":"Represents and processes &lt;SingleLogoutService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.SingleLogoutService.html","title":"SmeeView.Aspects.SingleLogoutService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceSingleLogoutService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.SingleLogoutService.html#binding/1","title":"SmeeView.Aspects.SingleLogoutService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.SingleLogoutService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.SingleLogoutService.html#endpoint/1","title":"SmeeView.Aspects.SingleLogoutService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.SingleLogoutService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SingleLogoutService.html#idp?/1","title":"SmeeView.Aspects.SingleLogoutService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.SingleLogoutService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.SingleLogoutService.html#index/1","title":"SmeeView.Aspects.SingleLogoutService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.SingleLogoutService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.SingleLogoutService.html#role/1","title":"SmeeView.Aspects.SingleLogoutService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.SingleLogoutService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SingleLogoutService.html#sp?/1","title":"SmeeView.Aspects.SingleLogoutService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedSingleLogoutService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SingleLogoutService.html#valid?/1","title":"SmeeView.Aspects.SingleLogoutService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.SingleLogoutService.html#t:t/0","title":"SmeeView.Aspects.SingleLogoutService.t/0","type":"type"},{"doc":"Represents and processes &lt;SingleSignonService&gt; elements in entity metadata as Aspect structs.The functions in this module are intended to be applied to individual Aspect structs - for extracting and processing collections of these records please use the matching View module.","ref":"SmeeView.Aspects.SingleSignonService.html","title":"SmeeView.Aspects.SingleSignonService","type":"module"},{"doc":"Returns the binding type for this endpoint/serviceSingleSignonService.binding(aspect) # =&gt; &quot;urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST&quot;","ref":"SmeeView.Aspects.SingleSignonService.html#binding/1","title":"SmeeView.Aspects.SingleSignonService.binding/1","type":"function"},{"doc":"Returns the endpoint URL for this endpoint/service.Aspects containing URLs are printable and can be converted to strings using Kernel.to_string/1 or interpolated into another string.SingleSignonService.endpoint(aspect) # =&gt; &quot;https://test.ukfederation.org.uk/Shibboleth.sso/SAML2/POST&quot;","ref":"SmeeView.Aspects.SingleSignonService.html#endpoint/1","title":"SmeeView.Aspects.SingleSignonService.endpoint/1","type":"function"},{"doc":"Is this aspect relevant to the IdP role?Will return true if the aspect has been derived from an IdP role, or is applicable to all roles.SingleSignonService.idp?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SingleSignonService.html#idp?/1","title":"SmeeView.Aspects.SingleSignonService.idp?/1","type":"function"},{"doc":"Returns the index type for this endpoint/service, as an integer.SingleSignonService.index(aspect) # =&gt; 1","ref":"SmeeView.Aspects.SingleSignonService.html#index/1","title":"SmeeView.Aspects.SingleSignonService.index/1","type":"function"},{"doc":"Returns the associated role for this aspect: :sp, :idp or :allThe role type is useful when handling a mixed list of aspects that may be specific to certain roles of an entity.SingleSignonService.role(aspect) # =&gt; :idp","ref":"SmeeView.Aspects.SingleSignonService.html#role/1","title":"SmeeView.Aspects.SingleSignonService.role/1","type":"function"},{"doc":"Is this aspect relevant to the SP role?Will return true if the aspect has been derived from an SP role, or is applicable to all roles.SingleSignonService.sp?(aspect) # =&gt; false","ref":"SmeeView.Aspects.SingleSignonService.html#sp?/1","title":"SmeeView.Aspects.SingleSignonService.sp?/1","type":"function"},{"doc":"Is the URL for this endpoint/service valid? Returns true if the endpoint URL can be parsedSingleSignonService.valid?(aspect) # =&gt; true","ref":"SmeeView.Aspects.SingleSignonService.html#valid?/1","title":"SmeeView.Aspects.SingleSignonService.valid?/1","type":"function"},{"doc":"","ref":"SmeeView.Aspects.SingleSignonService.html#t:t/0","title":"SmeeView.Aspects.SingleSignonService.t/0","type":"type"},{"doc":"SmeeViewSmeeView is a metadata parsing extension to Smee. SmeeView provides easy to use functions for extracting lists of information from SAML metadata as Elixir structs.Smee provides access to entity metadata XML as both strings and parsed xmerl records but leaves the user to find and extract the information they need. SmeeView aims to fill this gap by providing tools for working with the most commonly used information in SAML metadata.SmeeView is loosely based on the concept of functional data access &quot;lenses&quot;.","ref":"readme.html","title":"SmeeView","type":"extras"},{"doc":"Relatively low memory usage and decent speed, especially when extracting smaller fragments of informationAspects can be extracted from individual Smee.Entity or Smee.Metadata structs, lists of them, or even other aspects.Aspects are extracted as either lists or as lists in maps, associated with entity IDs.Filters and tools are provided for handling aspects such as logos or multilingual text, and for checking commonly used entity attributes.","ref":"readme.html#features","title":"SmeeView - Features","type":"extras"},{"doc":"ViewsView modules take metadata, or information extracted from metadata, and return a specific type of record from it, known as an aspect. They also allow further filtering and processing of lists of aspects.For instance SmeeView.Logos can extract all logo information from an entity's metadata and filter them so that only IdP logos of a particular shape are returned. SmeeView.Contacts provides tools for extracting and filtering SmeeView.Aspects.Contact records.AspectsEach fragment of information extracted from metadata by a View is an aspect. Aspects contain most (if not all) of the information present in the original metadata. Aspect modules provide ways to view or process that information.Some aspects contain bundles of other aspects:A SmeeView.Aspects.DiscoUI struct contains lists of types of aspects useful for metadata discoverySmeeView.Aspects.IdP structs contain all aspects related to an entity's IdP roleConvenience functionsThe top level SmeeView module contains simplified, top level functions for extracting all the information for an entity. Other modules in SmeeView contain functions dedicated to specific types of information - one for extracting collections of &quot;aspects&quot;, the other for working with individual records.","ref":"readme.html#overview","title":"SmeeView - Overview","type":"extras"},{"doc":"Extracting all data for an entity (using Smee's MDQ module)alias Smee.MDQ MDQ.source(&quot;http://mdq.ukfederation.org.uk/&quot;) |&gt; MDQ.lookup!(&quot;https://cern.ch/login&quot;) |&gt; SmeeView.view_one() # =&gt; %SmeeView.Aspects.Entity{ # entity_id: &quot;https://cern.ch/login&quot;, # cache_duration: &quot;P0Y0M0DT6H0M0.000S&quot;, # registration: [ # %SmeeView.Aspects.Registration{ # authority: &quot;http://rr.aai.switch.ch/&quot;, # instant: &quot;2014-07-29T13:17:52Z&quot;, # policies: [ # %SmeeView.Aspects.RegistrationPolicy{ # lang: &quot;en&quot;, # url: &quot;https://www.switch.ch/aai/federation/switchaai/metadata-registration-practice-statement-20110711.txt&quot; # } # ] # } # ], # publications: [], # idps: [ # %SmeeView.Aspects.IdP{ # protocols: [ # %SmeeView.Aspects.Protocol{ # role: :idp, # uri: &quot;urn:oasis:names:tc:SAML:2.0:protocol&quot; # } # ...Viewing all logos in an entire federationSmee.source(&quot;http://metadata.ukfederation.org.uk/ukfederation-metadata.xml&quot;) |&gt; Smee.fetch!() |&gt; SmeeView.Logos.view() ## =&gt; [ #%SmeeView.Aspects.Logo{ # url: &quot;https://idp2.iay.org.uk/images/heads_80x80.jpg&quot;, # role: :idp, # height: 80, # width: 80, # lang: &quot;en&quot; #}, #%SmeeView.Aspects.Logo{ #url: &quot;https://idp2.iay.org.uk/images/heads_100x43.jpg&quot;, # role: :idp, #height: 43, #width: 100, #lang: &quot;en&quot; #}, #...Selecting the best service displayname for a French userentity |&gt; SmeeView.Displaynames.view() |&gt; SmeeView.Displaynames.pick(&quot;fr&quot;) |&gt; SmeeView.Aspects.Displayname.text() # =&gt; &quot;Plateforme pédagogique de pré-production de l&#39;Université de Rouen Normandie&quot;Get the friendly names of all attributes required by a particular entitythe_entity |&gt; SmeeView.RequestedAttributes.view() |&gt; SmeeView.RequestedAttributes.required_filter() |&gt; SmeeView.RequestedAttributes.friendly_names() # =&gt; [&quot;email&quot;, &quot;eppn&quot;]Find all the tiny square logos for IdPs in PNG format in German(It's a very contrived example)Smee.source(&quot;http://metadata.ukfederation.org.uk/ukfederation-metadata.xml&quot;) |&gt; Smee.fetch!() |&gt; SmeeView.Logos.view(:idp) |&gt; Enum.filter( fn logo -&gt; SmeeView.Aspects.Logo.size(logo) == :tiny &amp;&amp; SmeeView.Aspects.Logo.shape(logo) == :square &amp;&amp; SmeeView.Aspects.Logo.format(logo) == :png &amp;&amp; SmeeView.Aspects.Logo.lang(logo) == &quot;de&quot; end ) # =&gt; []List the assurance certifications of each entity in a federationThis demonstrates the usefulness of prism views Smee.source(&quot;http://metadata.ukfederation.org.uk/ukfederation-metadata.xml&quot;) |&gt; Smee.fetch!() |&gt; SmeeView.EntityAttributes.prism() |&gt; SmeeView.EntityAttributes.assurance_certifications() # =&gt; %{ # &quot;https://stanford.dserec.com/sp&quot; =&gt; [&quot;https://refeds.org/sirtfi&quot;], # &quot;https://iam.nnfc.re.kr/idp/simplesamlphp&quot; =&gt; [&quot;https://refeds.org/sirtfi&quot;], # &quot;http://idp.vr.se/adfs/services/trust&quot; =&gt; [&quot;http://www.swamid.se/policy/assurance/al1&quot;], # ...","ref":"readme.html#examples","title":"SmeeView - Examples","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding smee_view to your list of dependencies in mix.exs:def deps do [ {:smee_view, &quot;~&gt; 0.1.0&quot;} ] endSmeeView requires Smee, which has its own unusual requirements, so please make sure you read the documentation for installing Smee before using SmeeView.","ref":"readme.html#installation","title":"SmeeView - Installation","type":"extras"},{"doc":"SmeeView does not document SAML Metadata itself - you'll need to read about that elsewhere if you have questions about how the information is used. The following resources will be of help:Incommon's Guide to SAML Metadata - very clear and readableOASIS Simplified Overview of SAML MetadataWikipedia: SAML Metadata Has technical overview, history and protocol walkthrough","ref":"readme.html#references-and-further-reading","title":"SmeeView - References and further reading","type":"extras"},{"doc":"Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/smee_view.","ref":"readme.html#documentation","title":"SmeeView - Documentation","type":"extras"},{"doc":"You can request new features by creating an issue, or submit a pull request with your contribution.If you are comfortable working with Python but Smee's Elixir code is unfamiliar then this blog post may help: Elixir For Humans Who Know Python","ref":"readme.html#contributing","title":"SmeeView - Contributing","type":"extras"},{"doc":"Copyright (c) 2023 Digital Identity Ltd, UKSmeeView is Apache 2.0 licensed.","ref":"readme.html#copyright-and-license","title":"SmeeView - Copyright and License","type":"extras"},{"doc":"SmeeView is not endorsed by The Shibboleth Foundation or any other organisation described in these docs. The API will definitely change considerably in the first few releases after 0.1.0 - it is not stable!","ref":"readme.html#disclaimer","title":"SmeeView - Disclaimer","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright [yyyy] [name of copyright owner] Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]